CREATE TABLE IF NOT EXISTS funds_flow_transactions (zzz int);
ALTER TABLE funds_flow_transactions ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE funds_flow_transactions ADD COLUMN uid int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_transactions ADD COLUMN account_id_from int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_transactions ADD COLUMN account_id_to int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_transactions ADD COLUMN amount int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_transactions ADD COLUMN flow_date int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_transactions DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS funds_flow_settings (zzz int);
ALTER TABLE funds_flow_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE funds_flow_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_settings ADD COLUMN priority int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE funds_flow_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS promised_payment_data (zzz int);
ALTER TABLE promised_payment_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE promised_payment_data ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_data ADD COLUMN last_payment_date int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS promised_payment_settings (zzz int);
ALTER TABLE promised_payment_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE promised_payment_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN priority int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN max_duration int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN max_value double DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN interval_duration int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN min_balance double DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN use_min_balance int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN free_balance double DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN use_free_balance int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE promised_payment_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS voluntary_suspension_data (zzz int);
ALTER TABLE voluntary_suspension_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE voluntary_suspension_data ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_data ADD COLUMN block_date_start int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_data ADD COLUMN block_date_end int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_data ADD COLUMN block_id int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS voluntary_suspension_settings (zzz int);
ALTER TABLE voluntary_suspension_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE voluntary_suspension_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN priority int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN min_balance double DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN use_min_balance int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN free_balance double DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN use_free_balance int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN min_duration int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN max_duration int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN interval_duration int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN block_type int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings ADD COLUMN self_unlock int DEFAULT '0' NOT NULL;
ALTER TABLE voluntary_suspension_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS switch_tariff_settings (zzz int);
ALTER TABLE switch_tariff_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE switch_tariff_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_settings ADD COLUMN priority int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_settings ADD COLUMN instant_change int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_settings ADD COLUMN instant_change_count int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS edit_profile_settings (zzz int);
ALTER TABLE edit_profile_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE edit_profile_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE edit_profile_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE edit_profile_settings ADD COLUMN available_fields int DEFAULT '0' NOT NULL;
ALTER TABLE edit_profile_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS available_reports_settings (zzz int);
ALTER TABLE available_reports_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE available_reports_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE available_reports_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE available_reports_settings ADD COLUMN available_reports int DEFAULT '0' NOT NULL;
ALTER TABLE available_reports_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS available_docs_settings (zzz int);
ALTER TABLE available_docs_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE available_docs_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE available_docs_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE available_docs_settings ADD COLUMN is_userinfo_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE available_docs_settings ADD COLUMN available_docs int DEFAULT '0' NOT NULL;
ALTER TABLE available_docs_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS switch_tariff_data (zzz int);
ALTER TABLE switch_tariff_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE switch_tariff_data ADD COLUMN switch_setting_id int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN min_balance double DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN use_min_balance int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN free_balance double DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN use_free_balance int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data ADD COLUMN unallow_changing int DEFAULT '0' NOT NULL;
ALTER TABLE switch_tariff_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS temp_ip (zzz int);
ALTER TABLE temp_ip ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE temp_ip ADD COLUMN ip int DEFAULT '0' NOT NULL;
ALTER TABLE temp_ip ADD COLUMN mac varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE temp_ip ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE temp_ip DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS system_rights (zzz int);
ALTER TABLE system_rights ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE system_rights ADD COLUMN fid int DEFAULT '0' NOT NULL;
ALTER TABLE system_rights DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS system_group_info (zzz int);
ALTER TABLE system_group_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE system_group_info ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE system_group_info ADD COLUMN info varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE system_group_info ADD COLUMN web_settings varchar(8192) DEFAULT 'W10=' NOT NULL;
ALTER TABLE system_group_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS system_groups (zzz int);
ALTER TABLE system_groups ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE system_groups ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE system_groups ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE system_groups DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_directions (zzz int);
ALTER TABLE tel_directions ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_directions ADD COLUMN prefix varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_zones (zzz int);
ALTER TABLE tel_zones ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_zones ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_zones ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_zones DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_directions_v2 (zzz int);
ALTER TABLE tel_directions_v2 ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_directions_v2 ADD COLUMN zone_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN update_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN calling_prefix varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN called_prefix varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN incoming_trunk varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN outgoing_trunk varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN pbx_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN calling_prefix_regexp int DEFAULT '1' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN called_prefix_regexp int DEFAULT '1' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN skip int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions_v2 ADD COLUMN dir_type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_directions_v2 DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_zones_v2 (zzz int);
ALTER TABLE tel_zones_v2 ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_zones_v2 ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_zones_v2 ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_zones_v2 ADD COLUMN update_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_zones_v2 ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_zones_v2 ADD COLUMN zone_type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_zones_v2 DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dir_zones (zzz int);
ALTER TABLE dir_zones ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dir_zones ADD COLUMN zone_id int DEFAULT '0' NOT NULL;
ALTER TABLE dir_zones ADD COLUMN dir_id int DEFAULT '0' NOT NULL;
ALTER TABLE dir_zones DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_services_data (zzz int);
ALTER TABLE tel_services_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_services_data ADD COLUMN t_s_step int DEFAULT '1' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN t_s_free int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN max_timeout int DEFAULT '86400' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN discount_free_time int DEFAULT '1' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN first_interval bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN incremental_interval bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN first_interval_around bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN free_time bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN fixed_call_cost double DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN unit_size bigint DEFAULT '60' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN supplier_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data ADD COLUMN min_charge double DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_services_borders (zzz int);
ALTER TABLE tel_services_borders ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_services_borders ADD COLUMN tel_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_borders ADD COLUMN tarif_key int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_borders ADD COLUMN border bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_borders ADD COLUMN cost double DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_borders ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_borders DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_services_prepaid (zzz int);
ALTER TABLE tel_services_prepaid ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_services_prepaid ADD COLUMN tel_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_prepaid ADD COLUMN tarif_key int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_prepaid ADD COLUMN prepaid bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_prepaid ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_prepaid DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_services_fixed_cost (zzz int);
ALTER TABLE tel_services_fixed_cost ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_services_fixed_cost ADD COLUMN tel_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_fixed_cost ADD COLUMN tarif_key int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_fixed_cost ADD COLUMN fixed_cost double DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_fixed_cost ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_fixed_cost DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_services_tr_mult (zzz int);
ALTER TABLE tel_services_tr_mult ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_services_tr_mult ADD COLUMN tel_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_tr_mult ADD COLUMN tarif_key int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_tr_mult ADD COLUMN time_range_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_tr_mult ADD COLUMN mult double DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_tr_mult ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_services_tr_mult DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_service_links (zzz int);
ALTER TABLE tel_service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_service_links_downloaded (zzz int);
ALTER TABLE tel_service_links_downloaded ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_service_links_downloaded ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_downloaded ADD COLUMN direction_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_downloaded ADD COLUMN downloaded int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_downloaded ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_downloaded DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_service_links_prepaid (zzz int);
ALTER TABLE tel_service_links_prepaid ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_service_links_prepaid ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_prepaid ADD COLUMN tarif_key int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_prepaid ADD COLUMN downed_as_prepaid int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_prepaid ADD COLUMN old_prepaid int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_prepaid ADD COLUMN custom_prepaid int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_prepaid ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_service_links_prepaid DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_numbers (zzz int);
ALTER TABLE tel_numbers ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_numbers ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN tel_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN login varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN allowed_cid varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN incoming_trunk varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN outgoing_trunk varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN pbx_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN encrypted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_numbers ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_numbers DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_sessions_log (zzz int);
ALTER TABLE tel_sessions_log ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_sessions_log ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN recv_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN last_update_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN zone_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN did int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN NAS_Port int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Delay_Time int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Session_Id varchar(255) DEFAULT '';
ALTER TABLE tel_sessions_log ADD COLUMN NAS_Port_Type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN User_Name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Service_Type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Framed_Protocol int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN NAS_IP_Address bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log MODIFY COLUMN NAS_IP_Address bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN NAS_IP_Address_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN NAS_IP_Address_type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN NAS_Id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Status_Type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Input_Packets bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Input_Octets bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Output_Packets bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Output_Octets bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Session_Time bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Called_Station_Id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Calling_Station_Id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_remote_address varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_conf_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_setup_time varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_call_origin varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_call_type varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_connect_time varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_disconnect_time varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_disconnect_cause varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN h323_gw_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN pbx_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN incoming_trunk varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN outgoing_trunk varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN session_start_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN session_end_date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Input_Gigawords bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Output_Gigawords bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN Acct_Terminate_Cause int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN tel_supplier_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_sessions_detail (zzz int);
ALTER TABLE tel_sessions_detail ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_sessions_detail ADD COLUMN dhs_sess_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_detail ADD COLUMN trange_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_detail ADD COLUMN duration bigint DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_detail ADD COLUMN base_cost double DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_detail ADD COLUMN sum_cost double DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_detail ADD COLUMN cost_mult double DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_detail ADD COLUMN charge_type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_detail DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_sessions_log_attrs (zzz int);
ALTER TABLE tel_sessions_log_attrs ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_sessions_log_attrs ADD COLUMN session_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log_attrs ADD COLUMN vendor int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log_attrs ADD COLUMN attr int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log_attrs ADD COLUMN value longtext;
ALTER TABLE tel_sessions_log_attrs ADD COLUMN status_type int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log_attrs ADD COLUMN date int DEFAULT '0' NOT NULL;
ALTER TABLE tel_sessions_log_attrs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhs_sessions_log_attrs (zzz int);
ALTER TABLE dhs_sessions_log_attrs ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhs_sessions_log_attrs ADD COLUMN session_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log_attrs ADD COLUMN vendor int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log_attrs ADD COLUMN attr int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log_attrs ADD COLUMN value longtext;
ALTER TABLE dhs_sessions_log_attrs ADD COLUMN status_type int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log_attrs ADD COLUMN date int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log_attrs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhs_sessions_log (zzz int);
ALTER TABLE dhs_sessions_log ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhs_sessions_log ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN recv_date int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN last_update_date int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Framed_IP_Address int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Framed_IP_Address6 bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Framed_IP_Address6_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN NAS_Port int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Delay_Time int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Session_Id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN NAS_Port_Type int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN User_Name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Service_Type int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Framed_Protocol int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN NAS_IP_Address bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log MODIFY COLUMN NAS_IP_Address bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN NAS_IP_Address_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN NAS_IP_Address_type int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN NAS_Id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Status_Type int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Input_Packets bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Input_Octets bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Input_Gigawords bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Output_Packets bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Output_Octets bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Output_Gigawords bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Session_Time bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Acct_Terminate_Cause int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Called_Station_Id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN Calling_Station_Id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhs_sessions_log ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_log DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhs_sessions_detail (zzz int);
ALTER TABLE dhs_sessions_detail ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhs_sessions_detail ADD COLUMN dhs_sess_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN trange_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN recv_date int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN disc_per_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN duration bigint DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN base_cost double DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail ADD COLUMN sum_cost double DEFAULT '0' NOT NULL;
ALTER TABLE dhs_sessions_detail DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS iptv_services_data (zzz int);
ALTER TABLE iptv_services_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE iptv_services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE iptv_services_data ADD COLUMN media_content int DEFAULT '0' NOT NULL;
ALTER TABLE iptv_services_data ADD COLUMN media_group bigint DEFAULT '0' NOT NULL;
ALTER TABLE iptv_services_data ADD COLUMN iptv_type int DEFAULT '0' NOT NULL;
ALTER TABLE iptv_services_data ADD COLUMN custom_data varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE iptv_services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS vod_services_data (zzz int);
ALTER TABLE vod_services_data ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE vod_services_data ADD COLUMN duration int DEFAULT '0' NOT NULL;
ALTER TABLE vod_services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE vod_services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS slink_tech_param (zzz int);
ALTER TABLE slink_tech_param ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE slink_tech_param ADD COLUMN type_id int DEFAULT '0' NOT NULL;
ALTER TABLE slink_tech_param ADD COLUMN param longtext NOT NULL;
ALTER TABLE slink_tech_param MODIFY COLUMN param longtext NOT NULL;
ALTER TABLE slink_tech_param ADD COLUMN reg_date int DEFAULT '0' NOT NULL;
ALTER TABLE slink_tech_param ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE slink_tech_param ADD COLUMN passwd varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE slink_tech_param DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS slink_tech_param_type (zzz int);
ALTER TABLE slink_tech_param_type ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE slink_tech_param_type ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE slink_tech_param_type ADD COLUMN descr varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE slink_tech_param_type DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS license_data (zzz int);
ALTER TABLE license_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE license_data ADD COLUMN hash1 varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE license_data ADD COLUMN hash2 varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE license_data ADD COLUMN date int DEFAULT '0' NOT NULL;
ALTER TABLE license_data ADD COLUMN lic_type int DEFAULT '1' NOT NULL;
ALTER TABLE license_data ADD COLUMN data longtext;
ALTER TABLE license_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS invoices (zzz int);
ALTER TABLE invoices ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE invoices ADD COLUMN ext_num varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE invoices ADD COLUMN invoice_date int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN payment_transaction_id int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN expire_date int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN is_payed int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN is_printed int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN is_mailed int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN uid int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN arrearage double DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN period_start int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN period_end int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN balance_on_set double DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN version int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN ic_status int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN ic_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE invoices ADD COLUMN last_sync_date int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN sup_id int DEFAULT '1' NOT NULL;
ALTER TABLE invoices ADD COLUMN user_invoice_date int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE invoices ADD COLUMN alt_number int DEFAULT '0' NOT NULL;
ALTER TABLE invoices DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS invoice_entry (zzz int);
ALTER TABLE invoice_entry ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE invoice_entry ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN invoice_id int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN service_type int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN discount_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN qnt double DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN base_cost double DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN sum_cost double DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN tax_amount double DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN version int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN alt_amount bigint DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS invoice_entry_details (zzz int);
ALTER TABLE invoice_entry_details ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE invoice_entry_details ADD COLUMN entry_id int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry_details ADD COLUMN type int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry_details ADD COLUMN value int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry_details ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE invoice_entry_details DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS account_invoice (zzz int);
ALTER TABLE account_invoice ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE account_invoice ADD COLUMN is_printed int DEFAULT '0' NOT NULL;
ALTER TABLE account_invoice ADD COLUMN invc_id int DEFAULT '0' NOT NULL;
ALTER TABLE account_invoice DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS messages (zzz int);
ALTER TABLE messages ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE messages ADD COLUMN sender_id int DEFAULT '0' NOT NULL;
ALTER TABLE messages ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE messages ADD COLUMN is_for_all int DEFAULT '0' NOT NULL;
ALTER TABLE messages ADD COLUMN receiver_type int DEFAULT '0' NOT NULL;
ALTER TABLE messages ADD COLUMN receiver_id int DEFAULT '0' NOT NULL;
ALTER TABLE messages ADD COLUMN subject varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE messages ADD COLUMN message longtext;
ALTER TABLE messages ADD COLUMN mime varchar(255) DEFAULT 'text/plain' NOT NULL;
ALTER TABLE messages ADD COLUMN send_date int DEFAULT '0' NOT NULL;
ALTER TABLE messages ADD COLUMN recv_date int DEFAULT '0' NOT NULL;
ALTER TABLE messages DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS houses (zzz int);
ALTER TABLE houses ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE houses ADD COLUMN post_code varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN country varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN region varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN city varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN street varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN building varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN description varchar(512) DEFAULT '' NOT NULL;
ALTER TABLE houses ADD COLUMN connect_date int DEFAULT '0' NOT NULL;
ALTER TABLE houses ADD COLUMN ip_zone_id int DEFAULT '0' NOT NULL;
ALTER TABLE houses ADD COLUMN additional_ip_zones_key int DEFAULT '0' NOT NULL;
ALTER TABLE houses DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS streets (zzz int);
ALTER TABLE streets ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE streets ADD COLUMN country varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE streets ADD COLUMN region varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE streets ADD COLUMN city varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE streets ADD COLUMN street varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE streets DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS additional_ip_zones2houses (zzz int);
ALTER TABLE additional_ip_zones2houses ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE additional_ip_zones2houses ADD COLUMN house_key int DEFAULT '0' NOT NULL;
ALTER TABLE additional_ip_zones2houses ADD COLUMN ip_zone_id int DEFAULT '0' NOT NULL;
ALTER TABLE additional_ip_zones2houses DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ip_zones (zzz int);
ALTER TABLE ip_zones ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ip_zones ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE ip_zones DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ip_zones_detail (zzz int);
ALTER TABLE ip_zones_detail ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ip_zones_detail ADD COLUMN ip_zone_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail ADD COLUMN net bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail MODIFY COLUMN net bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail ADD COLUMN mask bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail MODIFY COLUMN mask bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail ADD COLUMN gateway bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail MODIFY COLUMN gateway bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail ADD COLUMN ip_type int DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail ADD COLUMN ext_net bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail ADD COLUMN ext_mask bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail ADD COLUMN ext_gateway bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_zones_detail DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS balance_history (zzz int);
ALTER TABLE balance_history ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE balance_history ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE balance_history ADD COLUMN accounting_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE balance_history ADD COLUMN out_balance double DEFAULT '0' NOT NULL;
ALTER TABLE balance_history ADD COLUMN date int DEFAULT '0' NOT NULL;
ALTER TABLE balance_history DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tariffs (zzz int);
ALTER TABLE tariffs ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tariffs ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tariffs ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs ADD COLUMN who_change int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs ADD COLUMN who_create int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs ADD COLUMN expire_date int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs ADD COLUMN balance_rollover int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs ADD COLUMN comments varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tariffs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tariffs_services_link (zzz int);
ALTER TABLE tariffs_services_link ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tariffs_services_link ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs_services_link ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs_services_link ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs_services_link DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS users_groups_link (zzz int);
ALTER TABLE users_groups_link ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE users_groups_link ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE users_groups_link ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE users_groups_link DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS users (zzz int);
ALTER TABLE users ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE users ADD COLUMN login varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN encrypted int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN basic_account int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN advance_payment int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN last_change_date int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN who_create int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN who_change int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN is_juridical int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN full_name longtext;
ALTER TABLE users ADD COLUMN juridical_address longtext;
ALTER TABLE users ADD COLUMN actual_address longtext;
ALTER TABLE users ADD COLUMN work_telephone varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN home_telephone varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN mobile_telephone varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN web_page varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN icq_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN tax_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN kpp_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN bank_id int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN bank_account varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN email varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN house_id int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN flat_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN entrance varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN floor varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN district varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN building varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN passport varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN comments longtext;
ALTER TABLE users ADD COLUMN personal_manager varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN connect_date int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN remote_switch_id int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN port_number int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN binded_currency_code int DEFAULT '810' NOT NULL;
ALTER TABLE users ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN is_send_invoice int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN ic_status int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN ic_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN last_sync_date int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN doc_profile_id int DEFAULT '1' NOT NULL;
ALTER TABLE users ADD COLUMN till int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN birthday int DEFAULT '0' NOT NULL;
ALTER TABLE users ADD COLUMN registry_address varchar(1024) DEFAULT '' NOT NULL;
ALTER TABLE users ADD COLUMN mobile_telephone_second varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE users DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS uaddparams_desc (zzz int);
ALTER TABLE uaddparams_desc ADD COLUMN paramid int DEFAULT '0' NOT NULL;
ALTER TABLE uaddparams_desc ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE uaddparams_desc ADD COLUMN display_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE uaddparams_desc ADD COLUMN visible int DEFAULT '0' NOT NULL;
ALTER TABLE uaddparams_desc DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS user_additional_params (zzz int);
ALTER TABLE user_additional_params ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE user_additional_params ADD COLUMN paramid int DEFAULT '0' NOT NULL;
ALTER TABLE user_additional_params ADD COLUMN userid int DEFAULT '0' NOT NULL;
ALTER TABLE user_additional_params ADD COLUMN value varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_additional_params DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS user_contacts (zzz int);
ALTER TABLE user_contacts ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE user_contacts ADD COLUMN uid int DEFAULT '0' NOT NULL;
ALTER TABLE user_contacts ADD COLUMN person varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_contacts ADD COLUMN descr longtext;
ALTER TABLE user_contacts ADD COLUMN contact longtext;
ALTER TABLE user_contacts ADD COLUMN reason longtext;
ALTER TABLE user_contacts ADD COLUMN email longtext;
ALTER TABLE user_contacts ADD COLUMN email_notice int DEFAULT '0' NOT NULL;
ALTER TABLE user_contacts ADD COLUMN person_short varchar(128) DEFAULT '' NOT NULL;
ALTER TABLE user_contacts ADD COLUMN bday varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_contacts ADD COLUMN id_exec_man int DEFAULT '0' NOT NULL;
ALTER TABLE user_contacts DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS user_contact_em (zzz int);
ALTER TABLE user_contact_em ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE user_contact_em ADD COLUMN name_position varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_contact_em DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS user_log (zzz int);
ALTER TABLE user_log ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE user_log ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE user_log ADD COLUMN date int DEFAULT '0' NOT NULL;
ALTER TABLE user_log ADD COLUMN who int DEFAULT '0' NOT NULL;
ALTER TABLE user_log ADD COLUMN what varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_log ADD COLUMN action int DEFAULT '0' NOT NULL;
ALTER TABLE user_log ADD COLUMN comment longtext;
ALTER TABLE user_log DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS acts (zzz int);
ALTER TABLE acts ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE acts ADD COLUMN act_id int DEFAULT '0' NOT NULL;
ALTER TABLE acts ADD COLUMN invc_id int DEFAULT '0' NOT NULL;
ALTER TABLE acts ADD COLUMN gen_date int DEFAULT '0' NOT NULL;
ALTER TABLE acts ADD COLUMN act_text longtext;
ALTER TABLE acts ADD COLUMN is_sign int DEFAULT '0' NOT NULL;
ALTER TABLE acts ADD COLUMN sign_date int DEFAULT '0' NOT NULL;
ALTER TABLE acts ADD COLUMN doc_type int DEFAULT '0' NOT NULL;
ALTER TABLE acts ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE acts DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS document_templates (zzz int);
ALTER TABLE document_templates ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE document_templates ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE document_templates ADD COLUMN path varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE document_templates ADD COLUMN doc_type int DEFAULT '0' NOT NULL;
ALTER TABLE document_templates ADD COLUMN created int DEFAULT '0' NOT NULL;
ALTER TABLE document_templates ADD COLUMN modified int DEFAULT '0' NOT NULL;
ALTER TABLE document_templates ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE document_templates DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS document_profiles (zzz int);
ALTER TABLE document_profiles ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE document_profiles ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE document_profiles ADD COLUMN created int DEFAULT '0' NOT NULL;
ALTER TABLE document_profiles ADD COLUMN modified int DEFAULT '0' NOT NULL;
ALTER TABLE document_profiles ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE document_profiles DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS document_profile_templates (zzz int);
ALTER TABLE document_profile_templates ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE document_profile_templates ADD COLUMN profile_id int DEFAULT '0' NOT NULL;
ALTER TABLE document_profile_templates ADD COLUMN template_id int DEFAULT '0' NOT NULL;
ALTER TABLE document_profile_templates ADD COLUMN doc_type int DEFAULT '0' NOT NULL;
ALTER TABLE document_profile_templates DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS document_replacement (zzz int);
ALTER TABLE document_replacement ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE document_replacement ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE document_replacement ADD COLUMN value varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE document_replacement DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS user_access_cards (zzz int);
ALTER TABLE user_access_cards ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE user_access_cards ADD COLUMN user_id int;
ALTER TABLE user_access_cards ADD COLUMN username varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_access_cards ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_access_cards ADD COLUMN card_number int;
ALTER TABLE user_access_cards DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS system_accounts (zzz int);
ALTER TABLE system_accounts ADD COLUMN id int PRIMARY KEY;
ALTER TABLE system_accounts ADD COLUMN login varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN token varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN encrypted int DEFAULT '0' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN ip int DEFAULT '0' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN mask int DEFAULT '-1' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN ip6 bigint DEFAULT '0' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN ext_ip6 bigint DEFAULT '0' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN mask6 bigint DEFAULT '-1' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN ext_mask6 bigint DEFAULT '-1' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN is_dealer int DEFAULT '0' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN is_rest_available int DEFAULT '1' NOT NULL;
ALTER TABLE system_accounts ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE system_accounts DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS system_groups_permissions (zzz int);
ALTER TABLE system_groups_permissions ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE system_groups_permissions ADD COLUMN system_group_id int DEFAULT '0' NOT NULL;
ALTER TABLE system_groups_permissions ADD COLUMN url varchar(255) DEFAULT '/' NOT NULL;
ALTER TABLE system_groups_permissions ADD COLUMN method int DEFAULT '-1' NOT NULL;
ALTER TABLE system_groups_permissions DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS card_pool_owners (zzz int);
ALTER TABLE card_pool_owners ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE card_pool_owners ADD COLUMN pool_id int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_owners ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_owners ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_owners DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS card_pool_info (zzz int);
ALTER TABLE card_pool_info ADD COLUMN pool_id int PRIMARY KEY;
ALTER TABLE card_pool_info ADD COLUMN cards int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_info ADD COLUMN cards_used int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_info ADD COLUMN last_update int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_info ADD COLUMN first_update int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_info ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE card_pool_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS card_info (zzz int);
ALTER TABLE card_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE card_info ADD COLUMN pool_id int DEFAULT '0' NOT NULL;
ALTER TABLE card_info ADD COLUMN secret varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE card_info ADD COLUMN balance double DEFAULT '0' NOT NULL;
ALTER TABLE card_info ADD COLUMN currency int DEFAULT '0' NOT NULL;
ALTER TABLE card_info ADD COLUMN expiration int DEFAULT '2000000000';
ALTER TABLE card_info ADD COLUMN is_used int DEFAULT '0' NOT NULL;
ALTER TABLE card_info ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE card_info ADD COLUMN days int DEFAULT '0' NOT NULL;
ALTER TABLE card_info ADD COLUMN is_blocked int DEFAULT '0' NOT NULL;
ALTER TABLE card_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS card_info_expired (zzz int);
ALTER TABLE card_info_expired ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE card_info_expired ADD COLUMN card_id int DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN pool_id int DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN secret varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN balance double DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN currency int DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN expiration int DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN is_used int DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired ADD COLUMN days int DEFAULT '0' NOT NULL;
ALTER TABLE card_info_expired DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS user_groups (zzz int);
ALTER TABLE user_groups ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE user_groups ADD COLUMN group_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE user_groups DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS accounts (zzz int);
ALTER TABLE accounts ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE accounts ADD COLUMN balance double DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN freezed_balance double DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN account_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE accounts ADD COLUMN credit double DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN is_blocked int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN block_id int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN vat_rate double DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN sale_tax_rate double DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN int_status int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN unlimited int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN access_card_number int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN irdeto_access_card_number varchar(255) DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN irdeto_stb_serial_number varchar(255) DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN external_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE accounts ADD COLUMN contract_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE accounts ADD COLUMN signature_date int DEFAULT '0' NOT NULL;
ALTER TABLE accounts ADD COLUMN contract_close_date int DEFAULT '0' NOT NULL;
ALTER TABLE accounts DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS user_bonus (zzz int);
ALTER TABLE user_bonus ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE user_bonus ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE user_bonus ADD COLUMN type int DEFAULT '0' NOT NULL;
ALTER TABLE user_bonus ADD COLUMN amount double DEFAULT '0' NOT NULL;
ALTER TABLE user_bonus ADD COLUMN burn_time int DEFAULT '0' NOT NULL;
ALTER TABLE user_bonus ADD COLUMN charged double DEFAULT '0' NOT NULL;
ALTER TABLE user_bonus DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tariffs_history (zzz int);
ALTER TABLE tariffs_history ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tariffs_history ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs_history ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs_history ADD COLUMN link_date int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs_history ADD COLUMN unlink_date int DEFAULT '0' NOT NULL;
ALTER TABLE tariffs_history ADD COLUMN tariff_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE tariffs_history DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS account_tariff_link (zzz int);
ALTER TABLE account_tariff_link ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE account_tariff_link ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link ADD COLUMN next_tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link ADD COLUMN discount_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link ADD COLUMN new_accounting_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link ADD COLUMN link_date int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE account_tariff_link DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS users_accounts (zzz int);
ALTER TABLE users_accounts ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE users_accounts ADD COLUMN uid int DEFAULT '0' NOT NULL;
ALTER TABLE users_accounts ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE users_accounts ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE users_accounts DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS discount_transactions_all (zzz int);
ALTER TABLE discount_transactions_all ADD COLUMN id bigint(20) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE discount_transactions_all ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN incoming_rest double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN outgoing_rest double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN discount double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN discount_with_tax double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN service_type int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN discount_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN discount_date int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all ADD COLUMN charge_type int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_all DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS discount_transactions_iptraffic_all (zzz int);
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN id bigint DEFAULT '0' NOT NULL PRIMARY KEY;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN discount double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN discount_with_tax double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN discount_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN discount_date int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN discount_date_hour int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN discount_date_day int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN discount_date_month int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN t_class int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN base_cost double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN ipid int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN ip6id_low bigint DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN ip6id_high bigint DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all ADD COLUMN bytes bigint DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_iptraffic_all DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dtagg_once (zzz int);
ALTER TABLE dtagg_once ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dtagg_once ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_once ADD COLUMN is_closed int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_once ADD COLUMN discounted double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_once ADD COLUMN discounted_without_tax double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_once DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dtagg_periodic (zzz int);
ALTER TABLE dtagg_periodic ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dtagg_periodic ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_periodic ADD COLUMN is_closed int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_periodic ADD COLUMN discounted double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_periodic ADD COLUMN discounted_without_tax double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_periodic DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dtagg_hotspot (zzz int);
ALTER TABLE dtagg_hotspot ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dtagg_hotspot ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_hotspot ADD COLUMN is_closed int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_hotspot ADD COLUMN base_cost double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_hotspot ADD COLUMN discounted double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_hotspot ADD COLUMN discounted_without_tax double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_hotspot ADD COLUMN session_time int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_hotspot ADD COLUMN recv_bytes bigint DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_hotspot DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dtagg_telephony_v2 (zzz int);
ALTER TABLE dtagg_telephony_v2 ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dtagg_telephony_v2 ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_telephony_v2 ADD COLUMN is_closed int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_telephony_v2 ADD COLUMN supplier_id int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_telephony_v2 ADD COLUMN discounted double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_telephony_v2 ADD COLUMN discounted_without_tax double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_telephony_v2 ADD COLUMN duration bigint DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_telephony_v2 DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dtagg_iptraffic (zzz int);
ALTER TABLE dtagg_iptraffic ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dtagg_iptraffic ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic ADD COLUMN is_closed int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic ADD COLUMN base_cost double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic ADD COLUMN tclass int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic ADD COLUMN ipid int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic ADD COLUMN discounted double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic ADD COLUMN discounted_without_tax double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic ADD COLUMN bytes bigint DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_iptraffic DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dtagg_cust (zzz int);
ALTER TABLE dtagg_cust ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dtagg_cust ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_cust ADD COLUMN discounted double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_cust ADD COLUMN discounted_without_tax double DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_cust ADD COLUMN exp_date int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_cust ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dtagg_cust DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_consumption_info (zzz int);
ALTER TABLE tel_consumption_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_consumption_info ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_consumption_info ADD COLUMN tariff_key int DEFAULT '0' NOT NULL;
ALTER TABLE tel_consumption_info ADD COLUMN duration int DEFAULT '0' NOT NULL;
ALTER TABLE tel_consumption_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS charge_policy (zzz int);
ALTER TABLE charge_policy ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE charge_policy ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE charge_policy ADD COLUMN name varchar(255);
ALTER TABLE charge_policy ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE charge_policy DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS block_check_timemarks (zzz int);
ALTER TABLE block_check_timemarks ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE block_check_timemarks ADD COLUMN policy_id int DEFAULT '0' NOT NULL;
ALTER TABLE block_check_timemarks ADD COLUMN time int DEFAULT '0' NOT NULL;
ALTER TABLE block_check_timemarks DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS services_data (zzz int);
ALTER TABLE services_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE services_data ADD COLUMN service_type int DEFAULT '0' NOT NULL;
ALTER TABLE services_data ADD COLUMN service_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE services_data ADD COLUMN comment varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE services_data ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE services_data ADD COLUMN parent_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE services_data ADD COLUMN link_by_default int DEFAULT '0' NOT NULL;
ALTER TABLE services_data ADD COLUMN multiple_linking int DEFAULT '0' NOT NULL;
ALTER TABLE services_data ADD COLUMN is_dynamic int DEFAULT '0' NOT NULL;
ALTER TABLE services_data ADD COLUMN invoice_sup_id int DEFAULT '1' NOT NULL;
ALTER TABLE services_data ADD COLUMN contract_type int DEFAULT '0' NOT NULL;
ALTER TABLE services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS service_links (zzz int);
ALTER TABLE service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE service_links ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE service_links ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE service_links ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE service_links ADD COLUMN tariff_link_id int DEFAULT '0' NOT NULL;
ALTER TABLE service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS periodic_services_data (zzz int);
ALTER TABLE periodic_services_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE periodic_services_data ADD COLUMN cost double DEFAULT '0' NOT NULL;
ALTER TABLE periodic_services_data ADD COLUMN discount_method int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_services_data ADD COLUMN start_date int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_services_data ADD COLUMN expire_date int DEFAULT '2000000000' NOT NULL;
ALTER TABLE periodic_services_data ADD COLUMN radius_sessions_limit int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_services_data ADD COLUMN policy_id int DEFAULT '1' NOT NULL;
ALTER TABLE periodic_services_data ADD COLUMN scheme_id int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS periodic_service_links (zzz int);
ALTER TABLE periodic_service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE periodic_service_links ADD COLUMN is_blocked int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN discount_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN discounted_in_curr_period double DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN repaid_in_curr_period double DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN start_date int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN is_planned int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN expire_date int DEFAULT '2000000000';
ALTER TABLE periodic_service_links ADD COLUMN need_del int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN unabon_period int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN unprepay_period int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN untel_period int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN start_block_unabon int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN start_block_unprepay int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN start_block_untel int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN is_invoice_set int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN recalc_type int DEFAULT '-1' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN next_recalc_type int DEFAULT '-1' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN cost_coef double DEFAULT '1.0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN policy_id int DEFAULT '1' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN house_id int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN house_comment varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN comment varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE periodic_service_links ADD COLUMN last_charge_date int DEFAULT '0' NOT NULL;
ALTER TABLE periodic_service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS hotspot_service_links (zzz int);
ALTER TABLE hotspot_service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE hotspot_service_links ADD COLUMN time_in_curr_disc_period int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_service_links ADD COLUMN old_time int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_service_links ADD COLUMN recv_bytes bigint DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_service_links ADD COLUMN login varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE hotspot_service_links ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE hotspot_service_links ADD COLUMN encrypted int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS hotspot_services_data (zzz int);
ALTER TABLE hotspot_services_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE hotspot_services_data ADD COLUMN hotspot_cost_info_id int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_services_data ADD COLUMN recv_cost double DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_services_data ADD COLUMN rate_limit varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE hotspot_services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS hotspot_allowed_net (zzz int);
ALTER TABLE hotspot_allowed_net ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE hotspot_allowed_net ADD COLUMN hotspot_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_allowed_net ADD COLUMN ip int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_allowed_net ADD COLUMN mask int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_allowed_net DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS hotspot_cost_info (zzz int);
ALTER TABLE hotspot_cost_info ADD COLUMN hotspot_cost_info_id int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_cost_info ADD COLUMN timerange_id int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_cost_info ADD COLUMN cost double DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_cost_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dialup_service_links (zzz int);
ALTER TABLE dialup_service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dialup_service_links ADD COLUMN time_in_curr_disc_period int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN old_time int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN login varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN encrypted int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN allowed_cid varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN allowed_csid varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_service_links ADD COLUMN callback_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dialup_services_data (zzz int);
ALTER TABLE dialup_services_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dialup_services_data ADD COLUMN dialup_cost_info_id int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_services_data ADD COLUMN pool_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dialup_services_data ADD COLUMN max_timeout int DEFAULT '86400' NOT NULL;
ALTER TABLE dialup_services_data ADD COLUMN login_prefix varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dialup_services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dialup_cost_info (zzz int);
ALTER TABLE dialup_cost_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dialup_cost_info ADD COLUMN dialup_cost_info_id int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_cost_info ADD COLUMN timerange_id int DEFAULT '0' NOT NULL;
ALTER TABLE dialup_cost_info ADD COLUMN cost double DEFAULT '0' NOT NULL;
ALTER TABLE dialup_cost_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ip_groups (zzz int);
ALTER TABLE ip_groups ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ip_groups ADD COLUMN ip_group_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups MODIFY COLUMN ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN ip_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN mask bigint DEFAULT '-1' NOT NULL;
ALTER TABLE ip_groups MODIFY COLUMN mask bigint DEFAULT '-1' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN mask_ext bigint DEFAULT '-1' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN uname varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN upass varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN encrypted int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN mac varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN allowed_cid varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN pool_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN ip_type int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN router_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN delete_date int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN switch_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN port_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN vlan_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN pool_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dynamic_ip (zzz int);
ALTER TABLE dynamic_ip ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dynamic_ip ADD COLUMN ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE dynamic_ip ADD COLUMN ip_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE dynamic_ip ADD COLUMN ip_type int DEFAULT '0' NOT NULL;
ALTER TABLE dynamic_ip ADD COLUMN expire_date int DEFAULT '0' NOT NULL;
ALTER TABLE dynamic_ip ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dynamic_ip DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS downloaded (zzz int);
ALTER TABLE downloaded ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE downloaded ADD COLUMN downloaded_id int DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN tclass_id int DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN qnt bigint DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN old_prepay bigint DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN custom_prepay bigint DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN downed_as_prepaid bigint DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN discounted double DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN traffic_quota bigint DEFAULT '0' NOT NULL;
ALTER TABLE downloaded ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE downloaded DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS iptraffic_service_links (zzz int);
ALTER TABLE iptraffic_service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE iptraffic_service_links ADD COLUMN ip_group_id int DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_service_links ADD COLUMN downloaded_id int DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS iptraffic_services_data (zzz int);
ALTER TABLE iptraffic_services_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE iptraffic_services_data ADD COLUMN tst_id int DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_services_data ADD COLUMN null_service_prepaid int DEFAULT '1' NOT NULL;
ALTER TABLE iptraffic_services_data ADD COLUMN aggregation_interval int DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_services_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_services_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS traf_serv_tclasses (zzz int);
ALTER TABLE traf_serv_tclasses ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE traf_serv_tclasses ADD COLUMN tst_id int DEFAULT '0' NOT NULL;
ALTER TABLE traf_serv_tclasses ADD COLUMN tclass_id int DEFAULT '0' NOT NULL;
ALTER TABLE traf_serv_tclasses ADD COLUMN borders_id int DEFAULT '0' NOT NULL;
ALTER TABLE traf_serv_tclasses ADD COLUMN prepaid_units bigint DEFAULT '0' NOT NULL;
ALTER TABLE traf_serv_tclasses ADD COLUMN prepaid_units_max bigint DEFAULT '0' NOT NULL;
ALTER TABLE traf_serv_tclasses ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE traf_serv_tclasses ADD COLUMN tariff_formula int DEFAULT '0' NOT NULL;
ALTER TABLE traf_serv_tclasses DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS iptraffic_borders (zzz int);
ALTER TABLE iptraffic_borders ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE iptraffic_borders ADD COLUMN borders_id int DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_borders ADD COLUMN border bigint DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_borders ADD COLUMN cost double DEFAULT '0' NOT NULL;
ALTER TABLE iptraffic_borders DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS discount_periods (zzz int);
ALTER TABLE discount_periods ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE discount_periods ADD COLUMN start_date int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN end_date int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN periodic_type int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN next_discount_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN discount_interval int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN canonical_len int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN is_expired int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN custom_duration int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN static_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN invoice_month int DEFAULT '0' NOT NULL;
ALTER TABLE discount_periods ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE discount_periods DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS blocks_info (zzz int);
ALTER TABLE blocks_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE blocks_info ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info ADD COLUMN block_type int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info ADD COLUMN start_date int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info ADD COLUMN expire_date int DEFAULT '2000000000';
ALTER TABLE blocks_info ADD COLUMN is_planning int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info ADD COLUMN unabon int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info ADD COLUMN unprepay int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE blocks_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS once_service_data (zzz int);
ALTER TABLE once_service_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE once_service_data ADD COLUMN cost double DEFAULT '0' NOT NULL;
ALTER TABLE once_service_data ADD COLUMN drop_from_group int DEFAULT '0' NOT NULL;
ALTER TABLE once_service_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE once_service_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS once_service_links (zzz int);
ALTER TABLE once_service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE once_service_links ADD COLUMN discount_date int DEFAULT '0' NOT NULL;
ALTER TABLE once_service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE once_service_links ADD COLUMN cost_coef double DEFAULT '1.0' NOT NULL;
ALTER TABLE once_service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS utm5_settings (zzz int);
ALTER TABLE utm5_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE utm5_settings ADD COLUMN variable varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE utm5_settings ADD COLUMN value longtext;
ALTER TABLE utm5_settings ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE utm5_settings ADD COLUMN object_type int DEFAULT '0' NOT NULL;
ALTER TABLE utm5_settings MODIFY COLUMN object_type int DEFAULT '0' NOT NULL;
ALTER TABLE utm5_settings ADD COLUMN object_id int DEFAULT '0' NOT NULL;
ALTER TABLE utm5_settings MODIFY COLUMN object_id int DEFAULT '0' NOT NULL;
ALTER TABLE utm5_settings ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE utm5_settings MODIFY COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE utm5_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS t_class (zzz int);
ALTER TABLE t_class ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE t_class ADD COLUMN t_class_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE t_class ADD COLUMN graph_color int DEFAULT '255' NOT NULL;
ALTER TABLE t_class ADD COLUMN is_display int DEFAULT '0' NOT NULL;
ALTER TABLE t_class ADD COLUMN is_fill int DEFAULT '0' NOT NULL;
ALTER TABLE t_class ADD COLUMN time_range_id int DEFAULT '0' NOT NULL;
ALTER TABLE t_class ADD COLUMN dont_save int DEFAULT '0' NOT NULL;
ALTER TABLE t_class ADD COLUMN local_traf_policy int DEFAULT '0' NOT NULL;
ALTER TABLE t_class ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE t_class DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS t_class_detail (zzz int);
ALTER TABLE t_class_detail ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE t_class_detail ADD COLUMN t_class_id int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN ip_type int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN saddr bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail MODIFY COLUMN saddr bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN saddr_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN saddr_mask bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail MODIFY COLUMN saddr_mask bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN saddr_mask_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN daddr bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail MODIFY COLUMN daddr bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN daddr_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN daddr_mask bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail MODIFY COLUMN daddr_mask bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN daddr_mask_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN sport int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN dport int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN input int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN output int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN src_as int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN dst_as int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN nexthop bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail MODIFY COLUMN nexthop bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN nexthop_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN tcp_flags int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN proto int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN tos int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_sport int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_dport int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_input int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_output int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_src_as int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_dst_as int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_nexthop int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_tcp_flags int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_proto int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN use_tos int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN skip int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN ip_from_type int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN ip_from bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail MODIFY COLUMN ip_from bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN ip_from_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail ADD COLUMN nf_provider_id int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail MODIFY COLUMN nf_provider_id int DEFAULT '0' NOT NULL;
ALTER TABLE t_class_detail DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS time_range (zzz int);
ALTER TABLE time_range ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE time_range ADD COLUMN priority int DEFAULT '0' NOT NULL;
ALTER TABLE time_range ADD COLUMN time_range_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE time_range ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE time_range DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS time_range_detail (zzz int);
ALTER TABLE time_range_detail ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE time_range_detail ADD COLUMN time_range_id int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN sec_start int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN sec_stop int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN min_start int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN min_stop int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN hour_start int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN hour_stop int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN wday_start int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN wday_stop int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_detail DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS time_range_days (zzz int);
ALTER TABLE time_range_days ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE time_range_days ADD COLUMN time_range_id int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_days ADD COLUMN mday int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_days ADD COLUMN month int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_days ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE time_range_days DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payment_transactions (zzz int);
ALTER TABLE payment_transactions ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE payment_transactions ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN payment_incurrency double DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN currency_id int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN currency_rate double DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN payment_absolute double DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN actual_date int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN payment_enter_date int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN payment_ext_number varchar(255) DEFAULT '';
ALTER TABLE payment_transactions ADD COLUMN method int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN who_receive int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN comments_for_user varchar(255) DEFAULT '';
ALTER TABLE payment_transactions ADD COLUMN comments_for_admins varchar(255) DEFAULT '';
ALTER TABLE payment_transactions ADD COLUMN burn_time int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN is_canceled int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN cancel_id int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN hash varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN charge_id int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN ic_status int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN ic_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE payment_transactions ADD COLUMN last_sync_date int DEFAULT '0' NOT NULL;
ALTER TABLE payment_transactions DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payment_methods (zzz int);
ALTER TABLE payment_methods ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE payment_methods ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE payment_methods DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payments_timed (zzz int);
ALTER TABLE payments_timed ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE payments_timed ADD COLUMN payment_trans_id int DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed ADD COLUMN expire_date int DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed ADD COLUMN pay_date int DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed ADD COLUMN last_pay_date int DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed ADD COLUMN payment_value double DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed ADD COLUMN custagg_id int DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed ADD COLUMN is_passed int DEFAULT '0' NOT NULL;
ALTER TABLE payments_timed DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS credits (zzz int);
ALTER TABLE credits ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE credits ADD COLUMN payment_trans_id int DEFAULT '0' NOT NULL;
ALTER TABLE credits ADD COLUMN expire_date int DEFAULT '0' NOT NULL;
ALTER TABLE credits ADD COLUMN start_date int DEFAULT '0' NOT NULL;
ALTER TABLE credits ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE credits ADD COLUMN value double DEFAULT '0' NOT NULL;
ALTER TABLE credits ADD COLUMN status int DEFAULT '0' NOT NULL;
ALTER TABLE credits ADD COLUMN is_passed int DEFAULT '0' NOT NULL;
ALTER TABLE credits DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS routers_info (zzz int);
ALTER TABLE routers_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE routers_info ADD COLUMN router_type int DEFAULT '0' NOT NULL;
ALTER TABLE routers_info ADD COLUMN router_ip varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE routers_info ADD COLUMN login varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE routers_info ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE routers_info ADD COLUMN router_comments varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE routers_info ADD COLUMN router_bin_ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE routers_info MODIFY COLUMN router_bin_ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE routers_info ADD COLUMN router_bin_ip_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE routers_info ADD COLUMN ip_type int DEFAULT '0';
ALTER TABLE routers_info ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE routers_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS firewall_rules (zzz int);
ALTER TABLE firewall_rules ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE firewall_rules ADD COLUMN is_for_all int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN uid int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN rule_on varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN rule_off varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN rule_block varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN router_id int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN and_logic int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN add_user int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN edit_user int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN del_user int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS radius_data (zzz int);
ALTER TABLE radius_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE radius_data ADD COLUMN owner_id int DEFAULT '0' NOT NULL;
ALTER TABLE radius_data ADD COLUMN owner_type int DEFAULT '0' NOT NULL;
ALTER TABLE radius_data ADD COLUMN vendor int DEFAULT '0' NOT NULL;
ALTER TABLE radius_data ADD COLUMN attr int DEFAULT '0' NOT NULL;
ALTER TABLE radius_data ADD COLUMN value longtext;
ALTER TABLE radius_data ADD COLUMN attr_type int DEFAULT '0' NOT NULL;
ALTER TABLE radius_data ADD COLUMN attr_tag int DEFAULT '0' NOT NULL;
ALTER TABLE radius_data ADD COLUMN flags int DEFAULT '1' NOT NULL;
ALTER TABLE radius_data ADD COLUMN expire_date int DEFAULT '2000000000' NOT NULL;
ALTER TABLE radius_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS radius_custom_data (zzz int);
ALTER TABLE radius_custom_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE radius_custom_data ADD COLUMN owner_id int DEFAULT '0' NOT NULL;
ALTER TABLE radius_custom_data ADD COLUMN data_type int DEFAULT '0' NOT NULL;
ALTER TABLE radius_custom_data ADD COLUMN value longtext;
ALTER TABLE radius_custom_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS radius_accounts (zzz int);
ALTER TABLE radius_accounts ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE radius_accounts ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE radius_accounts ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE radius_accounts ADD COLUMN add_nas_attributes int DEFAULT '0' NOT NULL;
ALTER TABLE radius_accounts ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE radius_accounts DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS radius_pool_info (zzz int);
ALTER TABLE radius_pool_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE radius_pool_info ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE radius_pool_info ADD COLUMN ip_type int DEFAULT '0';
ALTER TABLE radius_pool_info ADD COLUMN ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE radius_pool_info MODIFY COLUMN ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE radius_pool_info ADD COLUMN ip_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE radius_pool_info ADD COLUMN mask bigint DEFAULT '-1' NOT NULL;
ALTER TABLE radius_pool_info MODIFY COLUMN mask bigint DEFAULT '-1' NOT NULL;
ALTER TABLE radius_pool_info ADD COLUMN mask_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE radius_pool_info ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE radius_pool_info ADD COLUMN delete_date int DEFAULT '0' NOT NULL;
ALTER TABLE radius_pool_info ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE radius_pool_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS nas_info (zzz int);
ALTER TABLE nas_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE nas_info ADD COLUMN nas_id varchar(255) DEFAULT '';
ALTER TABLE nas_info ADD COLUMN auth_secret varchar(255) DEFAULT '';
ALTER TABLE nas_info ADD COLUMN acct_secret varchar(255) DEFAULT '';
ALTER TABLE nas_info ADD COLUMN dac_secret varchar(255) DEFAULT '';
ALTER TABLE nas_info ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE nas_info ADD COLUMN das_port int DEFAULT '0' NOT NULL;
ALTER TABLE nas_info ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE nas_info ADD COLUMN isg_profile int DEFAULT '0' NOT NULL;
ALTER TABLE nas_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS nas_settings (zzz int);
ALTER TABLE nas_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE nas_settings ADD COLUMN nas_id int DEFAULT '0' NOT NULL;
ALTER TABLE nas_settings ADD COLUMN variable varchar(255) DEFAULT '';
ALTER TABLE nas_settings ADD COLUMN value varchar(255) DEFAULT '';
ALTER TABLE nas_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS isg_profiles (zzz int);
ALTER TABLE isg_profiles ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE isg_profiles ADD COLUMN name varchar(255) DEFAULT '';
ALTER TABLE isg_profiles ADD COLUMN static_password varchar(255) DEFAULT '';
ALTER TABLE isg_profiles ADD COLUMN login_type int DEFAULT '0' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN password_type int DEFAULT '0' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN blocked_account_code int DEFAULT '0' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN unblocked_account_code int DEFAULT '0' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN lease_address int DEFAULT '0' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN send_coa int DEFAULT '0' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN session_time int DEFAULT '86400' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN is_enabled_sir int DEFAULT '0' NOT NULL;
ALTER TABLE isg_profiles ADD COLUMN switch_type_id int DEFAULT '86400' NOT NULL;
ALTER TABLE isg_profiles DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ip_groups_isg_auth_attrs (zzz int);
ALTER TABLE ip_groups_isg_auth_attrs ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ip_groups_isg_auth_attrs ADD COLUMN attr_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups_isg_auth_attrs ADD COLUMN vendor_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups_isg_auth_attrs ADD COLUMN attr_name varchar(255) DEFAULT '';
ALTER TABLE ip_groups_isg_auth_attrs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ip_groups_isg_data (zzz int);
ALTER TABLE ip_groups_isg_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ip_groups_isg_data ADD COLUMN ip_group_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups_isg_data ADD COLUMN isg_attr_id int DEFAULT '0' NOT NULL;
ALTER TABLE ip_groups_isg_data ADD COLUMN isg_attr_value varchar(255) DEFAULT '';
ALTER TABLE ip_groups_isg_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS banks (zzz int);
ALTER TABLE banks ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE banks ADD COLUMN bic varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE banks ADD COLUMN name longtext;
ALTER TABLE banks ADD COLUMN city varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE banks ADD COLUMN kschet varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE banks DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS currency_list (zzz int);
ALTER TABLE currency_list ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE currency_list ADD COLUMN currency_brief_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE currency_list ADD COLUMN currency_full_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE currency_list ADD COLUMN percent double DEFAULT '0' NOT NULL;
ALTER TABLE currency_list ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE currency_list DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS currency_rates (zzz int);
ALTER TABLE currency_rates ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE currency_rates ADD COLUMN currency_id int DEFAULT '0' NOT NULL;
ALTER TABLE currency_rates ADD COLUMN date int DEFAULT '0' NOT NULL;
ALTER TABLE currency_rates ADD COLUMN currency_rate double DEFAULT '0' NOT NULL;
ALTER TABLE currency_rates DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS customer_subscriptions (zzz int);
ALTER TABLE customer_subscriptions ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE customer_subscriptions ADD COLUMN customer_id int DEFAULT '0' NOT NULL;
ALTER TABLE customer_subscriptions ADD COLUMN date int DEFAULT '0' NOT NULL;
ALTER TABLE customer_subscriptions ADD COLUMN last_pay_date int DEFAULT '0' NOT NULL;
ALTER TABLE customer_subscriptions ADD COLUMN amount double DEFAULT '0' NOT NULL;
ALTER TABLE customer_subscriptions ADD COLUMN service_customer_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE customer_subscriptions ADD COLUMN service_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE customer_subscriptions ADD COLUMN service_key varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE customer_subscriptions ADD COLUMN service_type int DEFAULT '0' NOT NULL;
ALTER TABLE customer_subscriptions DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS customer_recurrent_payments (zzz int);
ALTER TABLE customer_recurrent_payments ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE customer_recurrent_payments ADD COLUMN customer_id int DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN amount double DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN charge_policy int DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN charge_day int DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN next_charge_date int DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN charge_min_balance double DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN payment_system_type int DEFAULT '0' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN payment_system_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN service_key varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE customer_recurrent_payments ADD COLUMN service_client_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE customer_recurrent_payments DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS archives (zzz int);
ALTER TABLE archives ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE archives ADD COLUMN archive_id int DEFAULT '0' NOT NULL;
ALTER TABLE archives ADD COLUMN table_type int DEFAULT '0' NOT NULL;
ALTER TABLE archives ADD COLUMN table_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE archives ADD COLUMN start_date int DEFAULT '0' NOT NULL;
ALTER TABLE archives ADD COLUMN end_date int DEFAULT '0' NOT NULL;
ALTER TABLE archives ADD COLUMN is_remote int DEFAULT '0' NOT NULL;
ALTER TABLE archives ADD COLUMN archive_scheduler_id int DEFAULT '0' NOT NULL;
ALTER TABLE archives DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS supplier_info (zzz int);
ALTER TABLE supplier_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE supplier_info ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN ur_adress varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN act_adress varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN inn varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN kpp varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN bank_id int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN account varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN fio_headman varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN fio_bookeeper varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN fio_headman_sh varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN fio_bookeeper_sh varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN name_sh varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN balance double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN tax_rate double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN sup_type smallint DEFAULT '0' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN alt_number_seq int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN contract_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN client_prefix varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN contract_place varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN service_place varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info ADD COLUMN number_format varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS supplier_charges (zzz int);
ALTER TABLE supplier_charges ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE supplier_charges ADD COLUMN supplier_id int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN session_id int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN customer_cost double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN supplier_cost double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN customer_cost_with_tax double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN supplier_cost_with_tax double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN charge_date int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges ADD COLUMN duration bigint DEFAULT '0' NOT NULL;
ALTER TABLE supplier_charges DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS supplier_payments (zzz int);
ALTER TABLE supplier_payments ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE supplier_payments ADD COLUMN supplier_id int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_payments ADD COLUMN sum double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_payments ADD COLUMN absolute_sum double DEFAULT '0' NOT NULL;
ALTER TABLE supplier_payments ADD COLUMN reason varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE supplier_payments ADD COLUMN currency_type int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_payments ADD COLUMN payment_date int DEFAULT '0' NOT NULL;
ALTER TABLE supplier_payments DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dealer_details (zzz int);
ALTER TABLE dealer_details ADD COLUMN id int DEFAULT '0' NOT NULL PRIMARY KEY;
ALTER TABLE dealer_details ADD COLUMN full_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN act_address varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN passport varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN work_tel varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN home_tel varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN mob_tel varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN web_page varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN icq_number varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN email varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN comments varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN who_create int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN who_change int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_details ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_details DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dealer_access_list (zzz int);
ALTER TABLE dealer_access_list ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dealer_access_list ADD COLUMN dealer_id int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_access_list ADD COLUMN entity_type int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_access_list ADD COLUMN entity_id int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_access_list ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_access_list DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dealer_log (zzz int);
ALTER TABLE dealer_log ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dealer_log ADD COLUMN dealer_id int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_log ADD COLUMN action int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_log ADD COLUMN action_date int DEFAULT '0' NOT NULL;
ALTER TABLE dealer_log ADD COLUMN comments varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dealer_log DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS firewall_rules_new (zzz int);
ALTER TABLE firewall_rules_new ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE firewall_rules_new ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN events bigint DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new MODIFY COLUMN events bigint DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN router_id int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN affector_type int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN rule varchar(1024) DEFAULT '' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN comment varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE firewall_rules_new ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE firewall_rules_new DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ic_integration (zzz int);
ALTER TABLE ic_integration ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ic_integration ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE ic_integration ADD COLUMN max_invoice_id int DEFAULT '0' NOT NULL;
ALTER TABLE ic_integration ADD COLUMN max_payment_id int DEFAULT '0' NOT NULL;
ALTER TABLE ic_integration DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ic_settings (zzz int);
ALTER TABLE ic_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ic_settings ADD COLUMN send_users int DEFAULT '1' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN send_inv int DEFAULT '1' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN send_payments int DEFAULT '1' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN recv_payments int DEFAULT '1' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_card int DEFAULT '0' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_empty_name int DEFAULT '1' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_empty_inn int DEFAULT '1' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_empty_kpp int DEFAULT '1' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_users_since int DEFAULT '0' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_users_till int DEFAULT '2000000000' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_inv_since int DEFAULT '0' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_inv_till int DEFAULT '2000000000' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_payments_since int DEFAULT '0' NOT NULL;
ALTER TABLE ic_settings ADD COLUMN sync_payments_till int DEFAULT '2000000000' NOT NULL;
ALTER TABLE ic_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS utm5_tray_settings (zzz int);
ALTER TABLE utm5_tray_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE utm5_tray_settings ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE utm5_tray_settings ADD COLUMN value varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE utm5_tray_settings ADD COLUMN is_deleted int DEFAULT '0';
ALTER TABLE utm5_tray_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS utm5_cashier_settings (zzz int);
ALTER TABLE utm5_cashier_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE utm5_cashier_settings ADD COLUMN key_u varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE utm5_cashier_settings ADD COLUMN value_u varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE utm5_cashier_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dynashape_services (zzz int);
ALTER TABLE dynashape_services ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dynashape_services ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_services ADD COLUMN direction int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_services ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_services DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dynashape_borders (zzz int);
ALTER TABLE dynashape_borders ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dynashape_borders ADD COLUMN dyna_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_borders ADD COLUMN border bigint DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_borders ADD COLUMN timerange int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_borders ADD COLUMN lim varchar(255) DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_borders ADD COLUMN account_state int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_borders ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_borders DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dynashape_tclasses (zzz int);
ALTER TABLE dynashape_tclasses ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dynashape_tclasses ADD COLUMN dyna_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_tclasses ADD COLUMN tclass_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_tclasses ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_tclasses DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dynashape_settings (zzz int);
ALTER TABLE dynashape_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dynashape_settings ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_settings ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dynashape_data (zzz int);
ALTER TABLE dynashape_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dynashape_data ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_data ADD COLUMN direction int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_data ADD COLUMN curr_limit varchar(255) DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dynashape_radius_attrs (zzz int);
ALTER TABLE dynashape_radius_attrs ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dynashape_radius_attrs ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_radius_attrs ADD COLUMN vendor_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_radius_attrs ADD COLUMN attr_id int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_radius_attrs ADD COLUMN attr_type int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_radius_attrs ADD COLUMN value varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dynashape_radius_attrs ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dynashape_radius_attrs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS hotspot_network_list (zzz int);
ALTER TABLE hotspot_network_list ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE hotspot_network_list ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_network_list ADD COLUMN ip int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_network_list ADD COLUMN mask int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_network_list ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE hotspot_network_list DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS messages_status (zzz int);
ALTER TABLE messages_status ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE messages_status ADD COLUMN message_id int DEFAULT '0' NOT NULL;
ALTER TABLE messages_status ADD COLUMN user_id int DEFAULT '0' NOT NULL;
ALTER TABLE messages_status ADD COLUMN status int DEFAULT '0' NOT NULL;
ALTER TABLE messages_status DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS custom_services (zzz int);
ALTER TABLE custom_services ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE custom_services ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE custom_services ADD COLUMN mark varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE custom_services ADD COLUMN service_key varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE custom_services ADD COLUMN service_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE custom_services ADD COLUMN comment varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE custom_services ADD COLUMN trans_id int DEFAULT '0' NOT NULL;
ALTER TABLE custom_services ADD COLUMN burn_trans_id int DEFAULT '0' NOT NULL;
ALTER TABLE custom_services DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS turbo_mode_settings (zzz int);
ALTER TABLE turbo_mode_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE turbo_mode_settings ADD COLUMN iptraf_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN once_service_id int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN duration int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN incoming_rate int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN outgoing_rate int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN acct_period_flag int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN incoming_limit bigint DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN outgoing_limit bigint DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_settings ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE turbo_mode_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS turbo_mode_links (zzz int);
ALTER TABLE turbo_mode_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE turbo_mode_links ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_links ADD COLUMN tms_id int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_links ADD COLUMN turbo_mode_start int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_links ADD COLUMN incoming_consumption bigint DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_links ADD COLUMN outgoing_consumption bigint DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE turbo_mode_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tel_emergency_calls (zzz int);
ALTER TABLE tel_emergency_calls ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tel_emergency_calls ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_emergency_calls ADD COLUMN dir_id int DEFAULT '0' NOT NULL;
ALTER TABLE tel_emergency_calls ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE tel_emergency_calls DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS switches (zzz int);
ALTER TABLE switches ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE switches ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switches ADD COLUMN location longtext NOT NULL;
ALTER TABLE switches ADD COLUMN house_id int DEFAULT '0' NOT NULL;
ALTER TABLE switches ADD COLUMN type_id bigint DEFAULT '0' NOT NULL;
ALTER TABLE switches ADD COLUMN ports_count int DEFAULT '0' NOT NULL;
ALTER TABLE switches ADD COLUMN remote_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switches ADD COLUMN ip_type int DEFAULT '0' NOT NULL;
ALTER TABLE switches ADD COLUMN ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE switches ADD COLUMN ip_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE switches ADD COLUMN login varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switches ADD COLUMN password varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switches ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE switches DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS switch_types (zzz int);
ALTER TABLE switch_types ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE switch_types ADD COLUMN supported_volumes varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switch_types ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switch_types ADD COLUMN tec_id_type int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN tec_id_len int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN tec_id_disp int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN tec_id_offset int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN tec_id_regex varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switch_types ADD COLUMN port_id_type int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN port_id_len int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN port_id_disp int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN port_id_offset int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN port_id_regex varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switch_types ADD COLUMN vlan_id_type int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN vlan_id_len int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN vlan_id_disp int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN vlan_id_offset int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN vlan_id_regex varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE switch_types ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE switch_types ADD COLUMN port_start_offset int DEFAULT '1' NOT NULL;
ALTER TABLE switch_types DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS switches_dhcp_pool_links (zzz int);
ALTER TABLE switches_dhcp_pool_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE switches_dhcp_pool_links ADD COLUMN pool_id int DEFAULT '0' NOT NULL;
ALTER TABLE switches_dhcp_pool_links ADD COLUMN switch_id int DEFAULT '0' NOT NULL;
ALTER TABLE switches_dhcp_pool_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE switches_dhcp_pool_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp_pool_info (zzz int);
ALTER TABLE dhcp_pool_info ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp_pool_info ADD COLUMN gateway int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN netmask int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN dns1_server int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN dns2_server int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN ntp_server int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN domain_name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN block_pool_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN lease_time int DEFAULT '86400' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_info DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp_pool_ranges (zzz int);
ALTER TABLE dhcp_pool_ranges ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp_pool_ranges ADD COLUMN first_ip int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_ranges ADD COLUMN last_ip int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_ranges ADD COLUMN pool_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_ranges ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_pool_ranges DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp_options (zzz int);
ALTER TABLE dhcp_options ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp_options ADD COLUMN owner_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_options ADD COLUMN owner_type int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_options ADD COLUMN opt_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_options ADD COLUMN opt_type int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_options ADD COLUMN opt_value varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhcp_options ADD COLUMN opt_flag int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_options ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_options DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp_leases (zzz int);
ALTER TABLE dhcp_leases ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp_leases ADD COLUMN ip int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases ADD COLUMN mac varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE dhcp_leases ADD COLUMN server_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhcp_leases ADD COLUMN client_id varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE dhcp_leases ADD COLUMN expired int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases ADD COLUMN updated int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases ADD COLUMN binding_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases ADD COLUMN flags int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp_leases_log (zzz int);
ALTER TABLE dhcp_leases_log ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp_leases_log ADD COLUMN ip int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases_log ADD COLUMN mac varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE dhcp_leases_log ADD COLUMN relay_agent_info varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE dhcp_leases_log ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases_log ADD COLUMN expired int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases_log ADD COLUMN updated int DEFAULT '0' NOT NULL;
ALTER TABLE dhcp_leases_log DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS cluster_staff (zzz int);
ALTER TABLE cluster_staff ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE cluster_staff ADD COLUMN login varchar(255);
ALTER TABLE cluster_staff ADD COLUMN password varchar(255);
ALTER TABLE cluster_staff ADD COLUMN server_host varchar(255);
ALTER TABLE cluster_staff ADD COLUMN server_port varchar(255);
ALTER TABLE cluster_staff ADD COLUMN license_number int;
ALTER TABLE cluster_staff ADD COLUMN role_mask bigint;
ALTER TABLE cluster_staff ADD COLUMN this_system int;
ALTER TABLE cluster_staff ADD COLUMN type int;
ALTER TABLE cluster_staff DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS traffic_consumption (zzz int);
ALTER TABLE traffic_consumption ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE traffic_consumption ADD COLUMN session_id int DEFAULT '0' NOT NULL;
ALTER TABLE traffic_consumption ADD COLUMN incoming_bytes bigint DEFAULT '0' NOT NULL;
ALTER TABLE traffic_consumption ADD COLUMN outgoing_bytes bigint DEFAULT '0' NOT NULL;
ALTER TABLE traffic_consumption DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS netflow_providers (zzz int);
ALTER TABLE netflow_providers ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE netflow_providers ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE netflow_providers ADD COLUMN comments varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE netflow_providers ADD COLUMN ip bigint DEFAULT '0' NOT NULL;
ALTER TABLE netflow_providers ADD COLUMN ip_ext bigint DEFAULT '0' NOT NULL;
ALTER TABLE netflow_providers ADD COLUMN ip_type int DEFAULT '0' NOT NULL;
ALTER TABLE netflow_providers ADD COLUMN collector_id int DEFAULT '0' NOT NULL;
ALTER TABLE netflow_providers ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE netflow_providers DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS traffic_collectors (zzz int);
ALTER TABLE traffic_collectors ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE traffic_collectors ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE traffic_collectors ADD COLUMN comments varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE traffic_collectors ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE traffic_collectors DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payment_orders (zzz int);
ALTER TABLE payment_orders ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE payment_orders ADD COLUMN created bigint DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN modified bigint DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN deleted bigint DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN payment_system_type int DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN payment_system_name varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN transaction_id varchar(60) DEFAULT '';
ALTER TABLE payment_orders ADD COLUMN transaction_time bigint DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN personal_account_id bigint DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN amount double DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN iso_currency_code int DEFAULT '0' NOT NULL;
ALTER TABLE payment_orders ADD COLUMN state int DEFAULT '0';
ALTER TABLE payment_orders ADD COLUMN extended_id varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_orders DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS rentsoft_settings (zzz int);
ALTER TABLE rentsoft_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE rentsoft_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings ADD COLUMN accounting_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings ADD COLUMN is_post_paid int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings ADD COLUMN is_juridical int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings ADD COLUMN time_shift int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS rentsoft_settings_tariffs (zzz int);
ALTER TABLE rentsoft_settings_tariffs ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE rentsoft_settings_tariffs ADD COLUMN rentsoft_setting_id int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings_tariffs ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE rentsoft_settings_tariffs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS independent_connect_services (zzz int);
ALTER TABLE independent_connect_services ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE independent_connect_services ADD COLUMN name varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN multiple_linking int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN is_bonus_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN is_can_be_disabled int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN is_search_ap_in_services int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services ADD COLUMN accounting_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE independent_connect_services DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS rabbit_mq_settings (zzz int);
ALTER TABLE rabbit_mq_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE rabbit_mq_settings ADD COLUMN name varchar(254) DEFAULT 'RabbitMQ server' NOT NULL;
ALTER TABLE rabbit_mq_settings ADD COLUMN login varchar(254) DEFAULT 'guest' NOT NULL;
ALTER TABLE rabbit_mq_settings ADD COLUMN password varchar(254) DEFAULT 'guest' NOT NULL;
ALTER TABLE rabbit_mq_settings ADD COLUMN host varchar(254) DEFAULT 'localhost' NOT NULL;
ALTER TABLE rabbit_mq_settings ADD COLUMN exchange varchar(254) DEFAULT 'my-exchange' NOT NULL;
ALTER TABLE rabbit_mq_settings ADD COLUMN queue varchar(254) DEFAULT 'my-queue' NOT NULL;
ALTER TABLE rabbit_mq_settings ADD COLUMN routing_key varchar(254) DEFAULT 'my-routing-key' NOT NULL;
ALTER TABLE rabbit_mq_settings ADD COLUMN port int DEFAULT '5672' NOT NULL;
ALTER TABLE rabbit_mq_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payment_systems (zzz int);
ALTER TABLE payment_systems ADD COLUMN id int NOT NULL PRIMARY KEY;
ALTER TABLE payment_systems ADD COLUMN name varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE payment_systems DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payment_systems_data (zzz int);
ALTER TABLE payment_systems_data ADD COLUMN id int NOT NULL PRIMARY KEY;
ALTER TABLE payment_systems_data ADD COLUMN payment_system_id int NOT NULL;
ALTER TABLE payment_systems_data ADD COLUMN value varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems_data ADD COLUMN name varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems_data ADD COLUMN description varchar(4095) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payment_systems_template (zzz int);
ALTER TABLE payment_systems_template ADD COLUMN id int NOT NULL PRIMARY KEY;
ALTER TABLE payment_systems_template ADD COLUMN name varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems_template DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS payment_systems_data_template (zzz int);
ALTER TABLE payment_systems_data_template ADD COLUMN id int NOT NULL PRIMARY KEY;
ALTER TABLE payment_systems_data_template ADD COLUMN payment_system_id int NOT NULL;
ALTER TABLE payment_systems_data_template ADD COLUMN value varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems_data_template ADD COLUMN name varchar(254) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems_data_template ADD COLUMN description varchar(4095) DEFAULT '' NOT NULL;
ALTER TABLE payment_systems_data_template DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS document_storage (zzz int);
ALTER TABLE document_storage ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE document_storage ADD COLUMN invoice_id int NOT NULL;
ALTER TABLE document_storage ADD COLUMN path varchar(255) NOT NULL;
ALTER TABLE document_storage ADD COLUMN created int NOT NULL;
ALTER TABLE document_storage ADD COLUMN modified int NOT NULL;
ALTER TABLE document_storage ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE document_storage ADD COLUMN doc_type int NOT NULL;
ALTER TABLE document_storage ADD COLUMN file_type int NOT NULL;
ALTER TABLE document_storage ADD COLUMN status int DEFAULT '0' NOT NULL;
ALTER TABLE document_storage ADD COLUMN is_mailed int DEFAULT '0' NOT NULL;
ALTER TABLE document_storage DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS coefficient_scheme (zzz int);
ALTER TABLE coefficient_scheme ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE coefficient_scheme ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE coefficient_scheme ADD COLUMN comment varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE coefficient_scheme ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_scheme ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_scheme ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_scheme DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS coefficient_scheme_entity (zzz int);
ALTER TABLE coefficient_scheme_entity ADD COLUMN scheme_id int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_scheme_entity ADD COLUMN delay int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_scheme_entity ADD COLUMN duration int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_scheme_entity ADD COLUMN coeff double DEFAULT '1' NOT NULL;
ALTER TABLE coefficient_scheme_entity ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_scheme_entity DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS coefficient_schedule_link (zzz int);
ALTER TABLE coefficient_schedule_link ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE coefficient_schedule_link ADD COLUMN scheme_id int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link ADD COLUMN schedule_id int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link ADD COLUMN change_policy int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link ADD COLUMN cur_coeff_sched int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_link DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS coefficient_schedule (zzz int);
ALTER TABLE coefficient_schedule ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE coefficient_schedule ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS coefficient_schedule_entity (zzz int);
ALTER TABLE coefficient_schedule_entity ADD COLUMN schedule_id int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_entity ADD COLUMN start_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_entity ADD COLUMN end_date int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_entity ADD COLUMN coeff double DEFAULT '1' NOT NULL;
ALTER TABLE coefficient_schedule_entity ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE coefficient_schedule_entity DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS iptv_custom_data (zzz int);
ALTER TABLE iptv_custom_data ADD COLUMN slink_id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE iptv_custom_data ADD COLUMN data varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE iptv_custom_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS contract_types (zzz int);
ALTER TABLE contract_types ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE contract_types ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE contract_types ADD COLUMN create_date int DEFAULT '0' NOT NULL;
ALTER TABLE contract_types ADD COLUMN change_date int DEFAULT '0' NOT NULL;
ALTER TABLE contract_types ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE contract_types DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS captive_portal_tariffs (zzz int);
ALTER TABLE captive_portal_tariffs ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE captive_portal_tariffs ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE captive_portal_tariffs ADD COLUMN tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE captive_portal_tariffs ADD COLUMN accounting_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE captive_portal_tariffs ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE captive_portal_tariffs ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE captive_portal_tariffs ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE captive_portal_tariffs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS captive_users (zzz int);
ALTER TABLE captive_users ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE captive_users ADD COLUMN captive_tariff_id int DEFAULT '0' NOT NULL;
ALTER TABLE captive_users ADD COLUMN user_phone varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE captive_users ADD COLUMN login_date int DEFAULT '0' NOT NULL;
ALTER TABLE captive_users DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS modules_data (zzz int);
ALTER TABLE modules_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE modules_data ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE modules_data ADD COLUMN url varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE modules_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tech_support_chat (zzz int);
ALTER TABLE tech_support_chat ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tech_support_chat ADD COLUMN admin_user_id int DEFAULT '0' NOT NULL;
ALTER TABLE tech_support_chat ADD COLUMN client_id int DEFAULT '0' NOT NULL;
ALTER TABLE tech_support_chat ADD COLUMN last_update int DEFAULT '0' NOT NULL;
ALTER TABLE tech_support_chat ADD COLUMN message varchar(4096) DEFAULT '' NOT NULL;
ALTER TABLE tech_support_chat ADD COLUMN group_id int DEFAULT '-1' NOT NULL;
ALTER TABLE tech_support_chat ADD COLUMN is_admin_origin int DEFAULT '0' NOT NULL;
ALTER TABLE tech_support_chat DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS rfw_http_servers_settings (zzz int);
ALTER TABLE rfw_http_servers_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE rfw_http_servers_settings ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE rfw_http_servers_settings ADD COLUMN url varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE rfw_http_servers_settings ADD COLUMN method_type int DEFAULT '0' NOT NULL;
ALTER TABLE rfw_http_servers_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS freezed_service_data (zzz int);
ALTER TABLE freezed_service_data ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE freezed_service_data ADD COLUMN cost double DEFAULT '0' NOT NULL;
ALTER TABLE freezed_service_data ADD COLUMN charge_type_action int DEFAULT '0' NOT NULL;
ALTER TABLE freezed_service_data ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE freezed_service_data DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS freezed_service_links (zzz int);
ALTER TABLE freezed_service_links ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE freezed_service_links ADD COLUMN discount_date int DEFAULT '0' NOT NULL;
ALTER TABLE freezed_service_links ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE freezed_service_links ADD COLUMN is_executed int DEFAULT '0' NOT NULL;
ALTER TABLE freezed_service_links ADD COLUMN cost_coef double DEFAULT '1.0' NOT NULL;
ALTER TABLE freezed_service_links ADD COLUMN discount_transactions_freezed_id int DEFAULT '0' NOT NULL;
ALTER TABLE freezed_service_links DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS discount_transactions_freezed (zzz int);
ALTER TABLE discount_transactions_freezed ADD COLUMN id bigint(20) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE discount_transactions_freezed ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN incoming_rest double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN outgoing_rest double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN discount double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN discount_with_tax double DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN service_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN service_type int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN discount_period_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN slink_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN discount_date int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN charge_type int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN discount_transactions_all_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed ADD COLUMN discount_transactions_all_repay_id int DEFAULT '0' NOT NULL;
ALTER TABLE discount_transactions_freezed DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS tech_support_chat_settings (zzz int);
ALTER TABLE tech_support_chat_settings ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE tech_support_chat_settings ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE tech_support_chat_settings ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE tech_support_chat_settings DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS available_activating_card (zzz int);
ALTER TABLE available_activating_card ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE available_activating_card ADD COLUMN group_id int DEFAULT '0' NOT NULL;
ALTER TABLE available_activating_card ADD COLUMN is_enabled int DEFAULT '0' NOT NULL;
ALTER TABLE available_activating_card DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS radius_tunnel_types (zzz int);
ALTER TABLE radius_tunnel_types ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE radius_tunnel_types ADD COLUMN attr_type int DEFAULT '0' NOT NULL;
ALTER TABLE radius_tunnel_types ADD COLUMN data_type int DEFAULT '0' NOT NULL;
ALTER TABLE radius_tunnel_types ADD COLUMN vendor_id int DEFAULT '0' NOT NULL;
ALTER TABLE radius_tunnel_types DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS accounts_groups (zzz int);
ALTER TABLE accounts_groups ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE accounts_groups ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE accounts_groups ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE accounts_groups DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS accounts_groups_link (zzz int);
ALTER TABLE accounts_groups_link ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE accounts_groups_link ADD COLUMN accounts_groups_id int DEFAULT '0' NOT NULL;
ALTER TABLE accounts_groups_link ADD COLUMN account_id int DEFAULT '0' NOT NULL;
ALTER TABLE accounts_groups_link ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE accounts_groups_link DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS archive_scheduler (zzz int);
ALTER TABLE archive_scheduler ADD COLUMN id int(11) NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE archive_scheduler ADD COLUMN type int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN name varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN use_connection int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN run_date int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN day int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN hour int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN min int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN sec int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN error varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN is_archived int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler ADD COLUMN is_deleted int DEFAULT '0' NOT NULL;
ALTER TABLE archive_scheduler DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS lease6 (zzz int);
ALTER TABLE lease6 ADD COLUMN address varchar(39) PRIMARY KEY;
ALTER TABLE lease6 ADD COLUMN duid varbinary(128);
ALTER TABLE lease6 ADD COLUMN valid_lifetime int unsigned;
ALTER TABLE lease6 ADD COLUMN expire timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE lease6 ADD COLUMN subnet_id int unsigned;
ALTER TABLE lease6 ADD COLUMN pref_lifetime int unsigned;
ALTER TABLE lease6 ADD COLUMN lease_type tinyint(4);
ALTER TABLE lease6 ADD COLUMN iaid int unsigned;
ALTER TABLE lease6 ADD COLUMN prefix_len tinyint unsigned;
ALTER TABLE lease6 ADD COLUMN fqdn_fwd tinyint(1);
ALTER TABLE lease6 ADD COLUMN fqdn_rev tinyint(1);
ALTER TABLE lease6 ADD COLUMN hostname varchar(255);
ALTER TABLE lease6 ADD COLUMN hwaddr varbinary(20);
ALTER TABLE lease6 ADD COLUMN hwtype smallint unsigned;
ALTER TABLE lease6 ADD COLUMN hwaddr_source int unsigned;
ALTER TABLE lease6 ADD COLUMN state int unsigned DEFAULT '0';
ALTER TABLE lease6 ADD COLUMN user_context longtext;
ALTER TABLE lease6 DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS lease6_types (zzz int);
ALTER TABLE lease6_types ADD COLUMN lease_type tinyint(4) PRIMARY KEY;
ALTER TABLE lease6_types ADD COLUMN name varchar(5);
ALTER TABLE lease6_types DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS lease_hwaddr_source (zzz int);
ALTER TABLE lease_hwaddr_source ADD COLUMN hwaddr_source int unsigned PRIMARY KEY;
ALTER TABLE lease_hwaddr_source ADD COLUMN name varchar(40);
ALTER TABLE lease_hwaddr_source DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS hosts (zzz int);
ALTER TABLE hosts ADD COLUMN host_id int(11) unsigned auto_increment PRIMARY KEY;
ALTER TABLE hosts ADD COLUMN dhcp_identifier varbinary(128) NOT NULL;
ALTER TABLE hosts ADD COLUMN dhcp_identifier_type tinyint(4) NOT NULL;
ALTER TABLE hosts ADD COLUMN dhcp4_subnet_id int unsigned;
ALTER TABLE hosts ADD COLUMN dhcp6_subnet_id int unsigned;
ALTER TABLE hosts ADD COLUMN ipv4_address int unsigned;
ALTER TABLE hosts ADD COLUMN hostname varchar(255);
ALTER TABLE hosts ADD COLUMN dhcp4_client_classes varchar(255);
ALTER TABLE hosts ADD COLUMN dhcp6_client_classes varchar(255);
ALTER TABLE hosts ADD COLUMN dhcp4_next_server int unsigned;
ALTER TABLE hosts ADD COLUMN dhcp4_server_hostname varchar(64);
ALTER TABLE hosts ADD COLUMN dhcp4_boot_file_name varchar(128);
ALTER TABLE hosts ADD COLUMN user_context longtext;
ALTER TABLE hosts ADD COLUMN auth_key varchar(32);
ALTER TABLE hosts DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS ipv6_reservations (zzz int);
ALTER TABLE ipv6_reservations ADD COLUMN reservation_id int(11) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE ipv6_reservations ADD COLUMN address varchar(39) NOT NULL;
ALTER TABLE ipv6_reservations ADD COLUMN prefix_len tinyint unsigned DEFAULT '128' NOT NULL;
ALTER TABLE ipv6_reservations ADD COLUMN type tinyint(4) unsigned DEFAULT '0' NOT NULL;
ALTER TABLE ipv6_reservations ADD COLUMN dhcp6_iaid int unsigned;
ALTER TABLE ipv6_reservations ADD COLUMN host_id int unsigned NOT NULL;
ALTER TABLE ipv6_reservations DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_options (zzz int);
ALTER TABLE dhcp6_options ADD COLUMN option_id bigint(20) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp6_options ADD COLUMN code smallint unsigned NOT NULL;
ALTER TABLE dhcp6_options ADD COLUMN value blob;
ALTER TABLE dhcp6_options ADD COLUMN formatted_value text;
ALTER TABLE dhcp6_options ADD COLUMN space varchar(128);
ALTER TABLE dhcp6_options ADD COLUMN persistent tinyint(1) DEFAULT '0' NOT NULL;
ALTER TABLE dhcp6_options ADD COLUMN dhcp_client_class varchar(128);
ALTER TABLE dhcp6_options ADD COLUMN dhcp6_subnet_id int unsigned;
ALTER TABLE dhcp6_options ADD COLUMN host_id int unsigned;
ALTER TABLE dhcp6_options ADD COLUMN scope_id tinyint unsigned NOT NULL;
ALTER TABLE dhcp6_options ADD COLUMN user_context longtext;
ALTER TABLE dhcp6_options ADD COLUMN shared_network_name varchar(128);
ALTER TABLE dhcp6_options ADD COLUMN pool_id bigint(20) unsigned;
ALTER TABLE dhcp6_options ADD COLUMN pd_pool_id bigint(20) unsigned;
ALTER TABLE dhcp6_options ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_options DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS lease_state (zzz int);
ALTER TABLE lease_state ADD COLUMN state int unsigned NOT NULL PRIMARY KEY;
ALTER TABLE lease_state ADD COLUMN name varchar(64) NOT NULL;
ALTER TABLE lease_state DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS host_identifier_type (zzz int);
ALTER TABLE host_identifier_type ADD COLUMN type tinyint NOT NULL PRIMARY KEY;
ALTER TABLE host_identifier_type ADD COLUMN name varchar(32);
ALTER TABLE host_identifier_type DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS lease6_stat (zzz int);
ALTER TABLE lease6_stat ADD COLUMN subnet_id int unsigned NOT NULL;
ALTER TABLE lease6_stat ADD COLUMN lease_type int unsigned NOT NULL;
ALTER TABLE lease6_stat ADD COLUMN state int unsigned NOT NULL;
ALTER TABLE lease6_stat ADD COLUMN leases bigint;
ALTER TABLE lease6_stat ADD PRIMARY KEY (subnet_id,lease_type,state);
ALTER TABLE lease6_stat DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS logs (zzz int);
ALTER TABLE logs ADD COLUMN timestamp timestamp DEFAULT CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE logs ADD COLUMN address varchar(43);
ALTER TABLE logs ADD COLUMN log text NOT NULL;
ALTER TABLE logs DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS modification (zzz int);
ALTER TABLE modification ADD COLUMN id tinyint(4) NOT NULL PRIMARY KEY;
ALTER TABLE modification ADD COLUMN modification_type varchar(32) NOT NULL;
ALTER TABLE modification DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_server (zzz int);
ALTER TABLE dhcp6_server ADD COLUMN id bigint(20) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp6_server ADD COLUMN tag varchar(256) NOT NULL;
ALTER TABLE dhcp6_server ADD COLUMN description text;
ALTER TABLE dhcp6_server ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_server DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_global_parameter (zzz int);
ALTER TABLE dhcp6_global_parameter ADD COLUMN id bigint(20) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp6_global_parameter ADD COLUMN name varchar(128) NOT NULL;
ALTER TABLE dhcp6_global_parameter ADD COLUMN value longtext NOT NULL;
ALTER TABLE dhcp6_global_parameter ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_global_parameter ADD COLUMN parameter_type tinyint unsigned NOT NULL;
ALTER TABLE dhcp6_global_parameter DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_global_parameter_server (zzz int);
ALTER TABLE dhcp6_global_parameter_server ADD COLUMN parameter_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_global_parameter_server ADD COLUMN server_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_global_parameter_server ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_global_parameter_server ADD PRIMARY KEY (parameter_id,server_id);
ALTER TABLE dhcp6_global_parameter_server DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_option_def (zzz int);
ALTER TABLE dhcp6_option_def ADD COLUMN id bigint(20) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp6_option_def ADD COLUMN code smallint unsigned NOT NULL;
ALTER TABLE dhcp6_option_def ADD COLUMN name varchar(128) NOT NULL;
ALTER TABLE dhcp6_option_def ADD COLUMN space varchar(128) NOT NULL;
ALTER TABLE dhcp6_option_def ADD COLUMN type tinyint unsigned NOT NULL;
ALTER TABLE dhcp6_option_def ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_option_def ADD COLUMN is_array tinyint(1) NOT NULL;
ALTER TABLE dhcp6_option_def ADD COLUMN encapsulate varchar(128) NOT NULL;
ALTER TABLE dhcp6_option_def ADD COLUMN record_types varchar(512);
ALTER TABLE dhcp6_option_def ADD COLUMN user_context longtext;
ALTER TABLE dhcp6_option_def DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_option_def_server (zzz int);
ALTER TABLE dhcp6_option_def_server ADD COLUMN option_def_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_option_def_server ADD COLUMN server_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_option_def_server ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_option_def_server ADD PRIMARY KEY (option_def_id,server_id);
ALTER TABLE dhcp6_option_def_server DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_shared_network_server (zzz int);
ALTER TABLE dhcp6_shared_network_server ADD COLUMN shared_network_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_shared_network_server ADD COLUMN server_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_shared_network_server ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_shared_network_server ADD PRIMARY KEY (shared_network_id,server_id);
ALTER TABLE dhcp6_shared_network_server DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_shared_network (zzz int);
ALTER TABLE dhcp6_shared_network ADD COLUMN id bigint(20) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp6_shared_network ADD COLUMN name varchar(128) NOT NULL;
ALTER TABLE dhcp6_shared_network ADD COLUMN client_class varchar(128);
ALTER TABLE dhcp6_shared_network ADD COLUMN interface varchar(128);
ALTER TABLE dhcp6_shared_network ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_shared_network ADD COLUMN preferred_lifetime int;
ALTER TABLE dhcp6_shared_network ADD COLUMN rapid_commit tinyint(1);
ALTER TABLE dhcp6_shared_network ADD COLUMN rebind_timer int;
ALTER TABLE dhcp6_shared_network ADD COLUMN relay longtext;
ALTER TABLE dhcp6_shared_network ADD COLUMN renew_timer int;
ALTER TABLE dhcp6_shared_network ADD COLUMN require_client_classes longtext;
ALTER TABLE dhcp6_shared_network ADD COLUMN reservation_mode tinyint(3);
ALTER TABLE dhcp6_shared_network ADD COLUMN user_context longtext;
ALTER TABLE dhcp6_shared_network ADD COLUMN valid_lifetime int;
ALTER TABLE dhcp6_shared_network ADD COLUMN calculate_tee_times tinyint(1);
ALTER TABLE dhcp6_shared_network ADD COLUMN t1_percent float;
ALTER TABLE dhcp6_shared_network ADD COLUMN t2_percent float;
ALTER TABLE dhcp6_shared_network ADD COLUMN interface_id varbinary(128);
ALTER TABLE dhcp6_shared_network ADD COLUMN min_preferred_lifetime int;
ALTER TABLE dhcp6_shared_network ADD COLUMN max_preferred_lifetime int;
ALTER TABLE dhcp6_shared_network ADD COLUMN min_valid_lifetime int;
ALTER TABLE dhcp6_shared_network ADD COLUMN max_valid_lifetime int;
ALTER TABLE dhcp6_shared_network DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_subnet (zzz int);
ALTER TABLE dhcp6_subnet ADD COLUMN subnet_id int NOT NULL PRIMARY KEY;
ALTER TABLE dhcp6_subnet ADD COLUMN subnet_prefix varchar(64) NOT NULL;
ALTER TABLE dhcp6_subnet ADD COLUMN client_class varchar(128);
ALTER TABLE dhcp6_subnet ADD COLUMN interface varchar(128);
ALTER TABLE dhcp6_subnet ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_subnet ADD COLUMN preferred_lifetime int;
ALTER TABLE dhcp6_subnet ADD COLUMN rapid_commit tinyint(1);
ALTER TABLE dhcp6_subnet ADD COLUMN rebind_timer int;
ALTER TABLE dhcp6_subnet ADD COLUMN relay longtext;
ALTER TABLE dhcp6_subnet ADD COLUMN renew_timer int;
ALTER TABLE dhcp6_subnet ADD COLUMN require_client_classes longtext;
ALTER TABLE dhcp6_subnet ADD COLUMN reservation_mode tinyint(3);
ALTER TABLE dhcp6_subnet ADD COLUMN shared_network_name varchar(128);
ALTER TABLE dhcp6_subnet ADD COLUMN user_context longtext;
ALTER TABLE dhcp6_subnet ADD COLUMN valid_lifetime int;
ALTER TABLE dhcp6_subnet ADD COLUMN calculate_tee_times tinyint(1);
ALTER TABLE dhcp6_subnet ADD COLUMN t1_percent float;
ALTER TABLE dhcp6_subnet ADD COLUMN t2_percent float;
ALTER TABLE dhcp6_subnet ADD COLUMN interface_id varbinary(128);
ALTER TABLE dhcp6_subnet ADD COLUMN min_preferred_lifetime int;
ALTER TABLE dhcp6_subnet ADD COLUMN max_preferred_lifetime int;
ALTER TABLE dhcp6_subnet ADD COLUMN min_valid_lifetime int;
ALTER TABLE dhcp6_subnet ADD COLUMN max_valid_lifetime int;
ALTER TABLE dhcp6_subnet DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_subnet_server (zzz int);
ALTER TABLE dhcp6_subnet_server ADD COLUMN subnet_id int NOT NULL;
ALTER TABLE dhcp6_subnet_server ADD COLUMN server_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_subnet_server ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_subnet_server ADD PRIMARY KEY (subnet_id,server_id);
ALTER TABLE dhcp6_subnet_server DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp_option_scope (zzz int);
ALTER TABLE dhcp_option_scope ADD COLUMN scope_id tinyint unsigned NOT NULL PRIMARY KEY;
ALTER TABLE dhcp_option_scope ADD COLUMN scope_name varchar(32);
ALTER TABLE dhcp_option_scope DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_pd_pool (zzz int);
ALTER TABLE dhcp6_pd_pool ADD COLUMN id bigint(20) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp6_pd_pool ADD COLUMN prefix varchar(45) NOT NULL;
ALTER TABLE dhcp6_pd_pool ADD COLUMN prefix_length tinyint(3) NOT NULL;
ALTER TABLE dhcp6_pd_pool ADD COLUMN delegated_prefix_length tinyint(3) NOT NULL;
ALTER TABLE dhcp6_pd_pool ADD COLUMN subnet_id int unsigned NOT NULL;
ALTER TABLE dhcp6_pd_pool ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_pd_pool ADD COLUMN excluded_prefix varchar(45);
ALTER TABLE dhcp6_pd_pool ADD COLUMN excluded_prefix_length tinyint(3) NOT NULL;
ALTER TABLE dhcp6_pd_pool ADD COLUMN client_class varchar(128);
ALTER TABLE dhcp6_pd_pool ADD COLUMN require_client_classes longtext;
ALTER TABLE dhcp6_pd_pool ADD COLUMN user_context longtext;
ALTER TABLE dhcp6_pd_pool DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_pool (zzz int);
ALTER TABLE dhcp6_pool ADD COLUMN id bigint(20) unsigned NOT NULL auto_increment PRIMARY KEY;
ALTER TABLE dhcp6_pool ADD COLUMN start_address varchar(45) NOT NULL;
ALTER TABLE dhcp6_pool ADD COLUMN end_address varchar(45) NOT NULL;
ALTER TABLE dhcp6_pool ADD COLUMN subnet_id int unsigned NOT NULL;
ALTER TABLE dhcp6_pool ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_pool ADD COLUMN client_class varchar(128);
ALTER TABLE dhcp6_pool ADD COLUMN require_client_classes longtext;
ALTER TABLE dhcp6_pool ADD COLUMN user_context longtext;
ALTER TABLE dhcp6_pool DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS dhcp6_options_server (zzz int);
ALTER TABLE dhcp6_options_server ADD COLUMN option_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_options_server ADD COLUMN server_id bigint(20) unsigned NOT NULL;
ALTER TABLE dhcp6_options_server ADD COLUMN modification_ts timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL;
ALTER TABLE dhcp6_options_server ADD PRIMARY KEY (option_id,server_id);
ALTER TABLE dhcp6_options_server DROP COLUMN zzz;
CREATE TABLE IF NOT EXISTS parameter_data_type (zzz int);
ALTER TABLE parameter_data_type ADD COLUMN id tinyint unsigned NOT NULL PRIMARY KEY;
ALTER TABLE parameter_data_type ADD COLUMN name varchar(32) NOT NULL;
ALTER TABLE parameter_data_type DROP COLUMN zzz;
ALTER TABLE discount_transactions_iptraffic_all ADD PRIMARY key(id);
