DROP INDEX charges_index_first ON discount_transactions_all;
DROP INDEX ip_charges_index_first ON discount_transactions_iptraffic_all;
DROP INDEX charges_index_second ON discount_transactions_all;
DROP INDEX services_index_first ON services_data;
DROP INDEX first ON discount_periods;
DROP INDEX first_set ON utm5_settings;
DROP INDEX first_block ON blocks_info;
DROP INDEX first_dow ON downloaded;
DROP INDEX first_car ON card_info;
DROP INDEX first_disc ON discount_transactions_all;
DROP INDEX first_disc1 ON discount_transactions_all;
DROP INDEX first_dtr ON discount_transactions_iptraffic_all;
DROP INDEX first_ptr ON payment_transactions;
DROP INDEX first_ptr_hash ON payment_transactions;
DROP INDEX first_mes ON messages;
DROP INDEX first_ba ON banks;
DROP INDEX first_inv ON invoices;
DROP INDEX first_inve ON invoice_entry;
DROP INDEX first_sess_tel ON tel_sessions_log_attrs;
DROP INDEX first_sess_dhs ON dhs_sessions_log_attrs;
DROP INDEX first_dtagg ON dtagg_iptraffic;
DROP INDEX tel_session_date_idx ON tel_sessions_log;
DROP INDEX dhs_sess_id_idx ON tel_sessions_detail;
DROP INDEX tel_last_update_date_status_idx ON tel_sessions_log;
DROP INDEX dhs_last_update_date_status_idx ON dhs_sessions_log;
DROP INDEX 82e61c4e8130890872ca7d5d2eedcce7 ON discount_transactions_all;
DROP INDEX b3e12acadb1bbd7f8eb9b8a9ac479e6c ON discount_transactions_all;
DROP INDEX 92e08f5e788b4bcd2bd08d642d1f16f2 ON discount_transactions_all;
DROP INDEX 71be80c932a1d596a863a4f87ba05a03 ON discount_transactions_all;
DROP INDEX a7d0ead92d1cf4a8163d3a14bd1d46f6 ON discount_transactions_all;
DROP INDEX 8f8204600604c1b15a5072c16ae06092 ON discount_transactions_all;
DROP INDEX 568e4c2b879c970a554a72b09510a746 ON discount_transactions_all;
DROP INDEX 65de76c206634875d1728c8993f84885 ON discount_transactions_all;
DROP INDEX 4b6c17c0fd9f68e3e613d3882ff322a7 ON discount_transactions_all;
DROP INDEX ef21d08012d675959006724ce0a1ecac ON discount_transactions_all;
DROP INDEX 204db493907b7f4ddf2336ae78db201d ON discount_transactions_all;
DROP INDEX b37e82d403f2755b32e4baece65863a7 ON discount_transactions_all;
DROP INDEX dc6f19ab68504e59c9e28ca44c643bdb ON discount_transactions_all;
DROP INDEX d875d2e79b84e0165fb2e50bc53ce02d ON discount_transactions_all;
DROP INDEX f5c13400f6c8eb3689044226d5b9a265 ON discount_transactions_all;
DROP INDEX 045fce234c7df2742ece9efe8864b83f ON discount_transactions_all;
DROP INDEX 595a200705c6daa334d1e96e32583ea3 ON discount_transactions_all;
DROP INDEX c35611f93e1dcb1ab505cb1715d5941b ON discount_transactions_all;
DROP INDEX 0a6b597fd01af47968faa8fa4d5c3f19 ON discount_transactions_all;
DROP INDEX 64791de5ab4ea85459319893269706ea ON discount_transactions_all;
DROP INDEX index_b3e12acadb1bbd7f8eb9b8a9ac479e6c ON discount_transactions_all;
DROP INDEX index_65de76c206634875d1728c8993f84885 ON blocks_info;
DROP INDEX index_4bc74b2ad5da849947708592ddfde8b0 ON blocks_info;
DROP INDEX index_55232d39c6b30c255118489783ed36e2 ON iptraffic_service_links;
DROP INDEX index_8386110d26da71c23ceb41e7c899588b ON ip_groups;
DROP INDEX index_b60ed1dba249ad457931230ef77b8c72 ON periodic_service_links;
DROP INDEX index_cdd5482c1a1f11764da0bc8272859abc ON ip_zones_detail;
DROP INDEX index_cc937f36f5dd53f2dfb8882d8c06daa7 ON houses;
CREATE INDEX index_9d1685cdf3e0a9d70f4fec0aba516c96 ON discount_transactions_all(discount_date,account_id,service_type,charge_type,discount,discount_with_tax);
CREATE INDEX index_92e08f5e788b4bcd2bd08d642d1f16f2 ON discount_transactions_all(service_id,discount_date,account_id,service_type,charge_type,discount,slink_id,discount_period_id,discount_with_tax);
CREATE INDEX index_c99cfe4a1d0ce2f69140c334fd6094b4 ON discount_transactions_all(service_type,discount_date);
CREATE INDEX index_f6c49ee76b4f2b668e6289184c3ee848 ON discount_transactions_all(charge_type,discount_date);
CREATE INDEX index_71be80c932a1d596a863a4f87ba05a03 ON discount_transactions_iptraffic_all(discount_date,account_id,ipid,discount_date_hour,discount_date_day,discount_date_month,t_class,base_cost,slink_id,bytes,discount,discount_with_tax);
CREATE INDEX index_a7d0ead92d1cf4a8163d3a14bd1d46f6 ON services_data(id,service_name,service_type);
CREATE INDEX index_8f8204600604c1b15a5072c16ae06092 ON discount_periods(is_expired);
CREATE INDEX index_568e4c2b879c970a554a72b09510a746 ON utm5_settings(variable);
CREATE INDEX index_4b6c17c0fd9f68e3e613d3882ff322a7 ON downloaded(downloaded_id,tclass_id);
CREATE INDEX index_ef21d08012d675959006724ce0a1ecac ON card_info(pool_id);
CREATE INDEX index_204db493907b7f4ddf2336ae78db201d ON payment_transactions(actual_date,account_id);
CREATE INDEX index_b37e82d403f2755b32e4baece65863a7 ON payment_transactions(hash);
CREATE INDEX index_dc6f19ab68504e59c9e28ca44c643bdb ON messages(receiver_id,send_date);
CREATE INDEX index_6b3af25742a2dee92d08254521efe278 ON messages_status(message_id,status);
CREATE INDEX index_d875d2e79b84e0165fb2e50bc53ce02d ON invoices(account_id,is_payed);
CREATE INDEX index_f5c13400f6c8eb3689044226d5b9a265 ON invoice_entry(invoice_id);
CREATE INDEX index_045fce234c7df2742ece9efe8864b83f ON dtagg_iptraffic(tclass);
CREATE INDEX index_10b5aec9e443da3b7f979447c17b91f0 ON dtagg_iptraffic(slink_id);
CREATE INDEX index_595a200705c6daa334d1e96e32583ea3 ON tel_sessions_log(session_start_date);
CREATE INDEX index_c35611f93e1dcb1ab505cb1715d5941b ON tel_sessions_detail(dhs_sess_id);
CREATE INDEX index_0a6b597fd01af47968faa8fa4d5c3f19 ON tel_sessions_log(last_update_date,Acct_Status_Type);
CREATE INDEX index_64791de5ab4ea85459319893269706ea ON dhs_sessions_log(last_update_date,Acct_Status_Type);
CREATE INDEX index_4e9894f128bcd2d7c1bf9c5dfa80c261 ON tel_sessions_log(account_id,recv_date);
CREATE INDEX index_24247dc217bfec3ceaf294cc46949837 ON dhs_sessions_log(account_id,last_update_date);
CREATE INDEX index_33a254f7035d715e438372133be258b5 ON accounts(id,is_deleted);
CREATE INDEX index_045eb943ad178e7ac6ea41bdc8880b2b ON iptraffic_service_links(is_deleted,ip_group_id,id);
CREATE INDEX index_4ac9ffe9ebe0322b6fb7d34f3e346a6b ON service_links(account_id,tariff_link_id,id,is_deleted,user_id);
CREATE INDEX index_111a93e73d06cecc3151de62f6b8718a ON account_tariff_link(tariff_id,is_deleted);
CREATE INDEX index_bbf43ea959eabadc856f5d9cb702d771 ON ip_groups(is_deleted);
CREATE INDEX index_264d0ebccce540730e5da3d221dfa3d9 ON ip_groups(ip_group_id,ip_type,is_deleted);
CREATE INDEX index_e46a972fea6eaeefa7594e0da66d5e7c ON ip_groups(is_deleted,ip_type,ip,mask,ip_ext,mask_ext,ip_group_id);
CREATE INDEX index_0192e8f0f9c5d59e90338613910cd1b9 ON ip_groups(is_deleted,uname,ip_group_id);
CREATE INDEX index_597ea1b57b352ba4d3d45cf58ff2dfd4 ON users_groups_link(user_id,group_id);
CREATE INDEX index_7f025766d1e19f86998a178fe5101326 ON invoice_entry_details(entry_id);
CREATE INDEX index_5c164d55b7e55c824cc606f710dea4b3 ON blocks_info(is_deleted);
CREATE INDEX index_04d2359aec35dbd145e5d9900ec7efce ON blocks_info(account_id);
CREATE INDEX index_fdbd1f3a850844a0e6284e679b392720 ON blocks_info(start_date,expire_date,account_id,is_deleted);
CREATE UNIQUE INDEX uniq_be4e0774e33beb054ed4067acc739e1a ON system_rights(group_id,fid);
CREATE UNIQUE INDEX uniq_f623803b72a89409fe32bab52a001145 ON users_accounts(uid,account_id,is_deleted);
CREATE INDEX index_3d6b2a6e07480a9813b62ee3ab43cc98 ON radius_data(owner_id,owner_type);
CREATE INDEX index_f7a9f33a526682c6a9a52548843d600a ON messages(receiver_type,receiver_id);
CREATE INDEX index_b573802dfa4b5413092a1af5ff31c0b2 ON payment_transactions(payment_ext_number,is_canceled);
CREATE UNIQUE INDEX uniq_cb73adb8355e339a47602df743c36663 ON archives(archive_id,table_type);
CREATE UNIQUE INDEX uniq_dbf2840cfffe4be64dbff06b1b8dfa00 ON dtagg_iptraffic(is_closed,slink_id,tclass,base_cost);
CREATE UNIQUE INDEX uniq_84e2db4e10866c1d14cbc61380fb171a ON dtagg_telephony_v2(is_closed,slink_id,supplier_id);
CREATE UNIQUE INDEX uniq_a6ba8c930a7fd5d9544531e489aa4ec1 ON dtagg_hotspot(is_closed,slink_id,base_cost);
CREATE UNIQUE INDEX uniq_91eb944e90db163ff82c0eade5256db0 ON dtagg_periodic(is_closed,slink_id);
CREATE UNIQUE INDEX uniq_80cc8d0a6b6915dd63fc23d96c753eed ON dtagg_once(is_closed,account_id);
CREATE INDEX uniq_01ffee879b548a35c4b8de5131184026 ON tel_sessions_log(recv_date);
CREATE INDEX index_d96979d1418a779c196ab8abb7afd8d4 ON dhcp_leases(mac);
CREATE INDEX index_a8e33459ac6c91943bc250cd177d86da ON dhcp_leases(ip,expired);
CREATE INDEX index_8f2b5bf89e173e1345eef59e6ef49f3c ON tel_consumption_info(slink_id,tariff_key,duration);
CREATE INDEX index_25226c87031267120f48e4d2a80fff72 ON dhs_sessions_detail(recv_date);
CREATE UNIQUE INDEX index_3fb904a6650d14240f88010a10a3f920 ON document_storage(path);
CREATE UNIQUE INDEX index_579275f331778f100d187f9fa4893f04 ON document_storage(invoice_id,doc_type,file_type);
CREATE INDEX index_79d521070ce557700e3e351b8d0a5521 ON ic_integration(user_id);
CREATE INDEX index_b60ed1dba249ad457931230ef77b8c72 ON periodic_service_links(id,house_id,is_deleted);
CREATE INDEX index_cdd5482c1a1f11764da0bc8272859abc ON ip_zones_detail(ip_zone_id,net,mask);
CREATE INDEX index_cc937f36f5dd53f2dfb8882d8c06daa7 ON houses(ip_zone_id,id);
CREATE INDEX key_dhcp6_global_parameter_modification_ts ON dhcp6_global_parameter(modification_ts);
CREATE INDEX key_dhcp6_global_parameter_name ON dhcp6_global_parameter(name,parameter_type);
CREATE INDEX fk_dhcp6_global_parameter_server_server_id ON dhcp6_global_parameter_server(server_id,parameter_id);
CREATE INDEX key_dhcp6_global_parameter_server ON dhcp6_global_parameter_server(modification_ts);
CREATE INDEX key_dhcp6_option_def_modification_ts ON dhcp6_option_def(modification_ts);
CREATE INDEX key_dhcp6_option_def_code_space ON dhcp6_option_def(code,space);
CREATE INDEX fk_dhcp6_option_def_server_server_id_idx ON dhcp6_option_def_server(option_def_id,server_id);
CREATE INDEX key_dhcp6_option_def_server_modification_ts ON dhcp6_option_def_server(modification_ts);
CREATE INDEX fk_options_host1_idx ON dhcp6_options(host_id);
CREATE INDEX fk_dhcp6_option_scope ON dhcp6_options(scope_id);
CREATE INDEX fk_dhcp6_options_server_server_id_idx ON dhcp6_options_server(server_id,option_id);
CREATE INDEX key_dhcp6_options_server_modification_ts ON dhcp6_options_server(modification_ts);
CREATE INDEX key_dhcp6_pd_pool_modification_ts ON dhcp6_pd_pool(modification_ts,subnet_id);
CREATE INDEX key_dhcp6_pool_modification_ts ON dhcp6_pool(modification_ts);
CREATE INDEX fk_dhcp6_pool_subnet_id ON dhcp6_pool(subnet_id);
CREATE UNIQUE INDEX dhcp6_server_tag_UNIQUE ON dhcp6_server(tag);
CREATE INDEX key_dhcp6_server_modification_ts ON dhcp6_server(modification_ts);
CREATE UNIQUE INDEX name_UNIQUE ON dhcp6_shared_network(name);
CREATE INDEX key_dhcp6_shared_network_modification_ts ON dhcp6_shared_network(modification_ts);
CREATE INDEX key_dhcp6_shared_network_server_modification_ts ON dhcp6_shared_network_server(modification_ts);
CREATE INDEX fk_dhcp6_shared_network_server_server_id_idx ON dhcp6_shared_network_server(server_id,shared_network_id);
CREATE UNIQUE INDEX subnet_prefix_UNIQUE ON dhcp6_subnet(subnet_prefix);
CREATE INDEX subnet6_subnet_prefix ON dhcp6_subnet(subnet_prefix);
CREATE INDEX fk_dhcp6_subnet_shared_network ON dhcp6_subnet(shared_network_name);
CREATE INDEX key_dhcp6_subnet_modification_ts ON dhcp6_subnet(modification_ts);
CREATE INDEX fk_dhcp6_subnet_server_server_id ON dhcp6_subnet_server(server_id,subnet_id);
CREATE INDEX key_dhcp6_subnet_server_modification_ts ON dhcp6_subnet_server(modification_ts);
CREATE UNIQUE INDEX key_dhcp4_identifier_subnet_id ON hosts(dhcp_identifier,dhcp4_subnet_id,dhcp_identifier_type);
CREATE UNIQUE INDEX key_dhcp6_identifier_subnet_id ON hosts(dhcp_identifier,dhcp_identifier_type,dhcp6_subnet_id);
CREATE UNIQUE INDEX key_dhcp4_ipv4_address_subnet_id ON hosts(ipv4_address,dhcp4_subnet_id);
CREATE INDEX fk_host_identifier_type ON hosts(dhcp_identifier_type);
CREATE INDEX hosts_by_hostname ON hosts(hostname);
CREATE UNIQUE INDEX key_dhcp6_address_prefix_len ON ipv6_reservations(address,prefix_len);
CREATE INDEX fk_ipv6_reservations_host_idx ON ipv6_reservations(host_id);
CREATE INDEX lease6_by_state_expire ON lease6(expire,state,lease_type,hwaddr_source);
CREATE INDEX lease6_by_subnet_id_lease_type ON lease6(subnet_id,lease_type);
CREATE INDEX lease6_by_duid_iaid_subnet_id ON lease6(duid,iaid,subnet_id);
CREATE INDEX lease6_by_hostname ON lease6(hostname);
